49.1 - Nov 24, 2025
===================

Changes since 49.0

  - Download temporary files to /var/tmp instead of /tmp
  - Fix command-line argument descriptions
  - Added/updated/fixed translations

49.0 - Sept 16, 2025
====================

Changes since 49.rc.1

  - Added/updated/fixed translations

49.rc.1 - Aug 29, 2025
======================

Re-release fixing Flatpak CI build for the release-service CI job

49.rc - Aug 29, 2025
====================

Changes since 49.alpha

  - Added/updated/fixed translations
  - Default virtual machine storage disks to 30 GiB (from 20 Gib)
  - Add vala 'CCode' attribute for null terminated string array

48.0 - Mar 17, 2025
===================

Changes since 48.alpha

  - Added/updated/fixed translations
  - Disable C compiler warnings from code generated by 'valac'

48.alpha - Jan 09, 2025
=======================

Changes since 47.0

  - Includ failed ISO download url in error message
  - Fix fullscreen button icon not updating when toggled
  - Fix focus-on-click focus steal in fullscreen button
  - Avoid GdkPixbuf critical when failing to create thumbnails
  - Added/updated/fixed translations

47.0 - Sep 17, 2024
===================

Changes since 47.beta

  - Add HW and brand colors info to metainfo file
  - Rename metainfo file to o.g.B.metainfo.xml.in
  - Don't consider distro derivatives when resolving logos
  - Added/updated/fixed translations

47.beta - Aug 14, 2024
======================

Changes since 46.1

  - Fix appdata validation for "Devel" build profile
  - Check when a libvirt-broker reference is invalid
  - Improve some print format specifiers
  - Add "Trisquel" logo
  - Various CI fixes
  - Added/updated/fixed translations

46.1 - Apr 22, 2024
===================

Changes since 46.0

  - Fix build with clang
  - Added/updated/fixed translations

46.0 - Mar 18, 2024
===================

Changes since 45.0

  - Disable "secure-boot" for EFI virtual machines
  - Use libportal to call Background Portal
  - Fallback to default resources on error cases
  - Fix crash when processing a non bootable ISO image
  - Fix permissions when copying template files
  - Added/updated/fixed translations

45.0 - Sep 18, 2023
===================

Changes since 45.rc

  - Fix crash in the flatpak detection code causing a crash when closing
  - Added/updated/fixed translations

45.rc - Sep 04, 2023
====================

Changes since 44.2

  - Mark Shell search-provider to not autostart
  - Report OS download errors to the user
  - Fix current-memory not being updated on RAM preference changes
  - Fix failure to create VMs when G_MESSAGES_DEBUG=all was set
  - Appdata updates and validation fixes
  - Added/updated/fixed translations

44.beta - Feb 14, 2023
======================

Changes since 43.1

  - Modernize the VM creation UI
  - Add new widget to rename VMs
  - Fix import of raw images
  - Create new storage volumes with compat=1.1
  - Update the documentation

43.1 - Oct 25, 2022
===================

Changes since 43.0

  - Sync VM's clock to the host's configured timezone
  - Store all express-install credentials in the keyring
  - Added/updated/fixed translations

43.0 - 16 Sept, 2022
====================

Changes since 43.rc

  - Added/updated/fixed translations

43.rc - 05 Sept, 2022
=====================

Changes since 43.beta

  - Ensure disk creation for cloned virtual machines
  - Filter search results in the model (GListModel)
  - Use meson's GNOME module post_install function
  - Added/updated/fixed translations

43.beta - 09 Aug, 2022
======================

Changes since 43.alpha

  - Fetch recommended download operating systems from remote address
  - Revert change that made Boxes honor default system color-scheme
  - Added/updated/fixed translations

43.alpha - 01 Jul, 2022
=======================

Changes since 42.2

  - Save screenshots into ~/Pictures/Screenshots
  - Rename default development branch to "main"
  - Rename Devel Flatpak manifest to match Devel app_id
  - Use our custom logic to draw thumbnails
  - Honor the default system color-scheme
  - Update Boxes homepage links to gnomeboxes.org
  - Drop build option that made possible building without SPICE
  - Disable network test before download starts
  - Port to libsoup3
  - Added/updated/fixed translations

Dependencies changed:

  - libosinfo >= 1.10.0
  - libsoup3 >= 3.0.0
  - webkit2gtk-4.1
  - gtk-vnc (removed)
  - gtk-frdp (removed)

42.2 - 01 Jul, 2022
===================

Changes since 42.1

  - Ensure spice graphics is specified in vm creation
  - Recommend openSUSE 15.4

42.1 - 30 May, 2022
===================

Changes since 42.0.1

  - Use host-model cpu mode when using QEMU emulation
  - Exclude unreleased OSes from being promoted
  - Fix issue with renaming box
  - Don't require product-key for express installs
  - Added/updated/fixed translations:
    - Serbian
    - Catalan
    - Bulgarian
    - Slovak
    - Basque
    - Friulian
    - Brazilian Portuguese
    - Russian
    - British English
    - German
    - French
    - Ukrainian
    - Polish
    - Czech

42.0.1 - 18 Mar, 2022
=====================

Changes since 42.0

  - Fix error in appdata

42.0 - 18 Mar, 2022
===================

Changes since 42.rc

  - Fixed a typo in the documentation
  - Added/updated/fixed translations:
    - Lithuanian
    - Catalan
    - Ukrainian
    - Swedish
    - Danish
    - Czech
    - Finnish
    - Hungarian
    - Indonesian
    - Kazakh
    - Polish
    - Slovak
    - Serbian
    - Italian

42.rc - 07 Mar, 2022
====================

Changes since 42.beta

  - Updated app screenshots
  - Use IEC (base 1024) units for memory widgets
  - Handle manual memory input on memory widgets
  - Make domain device updates more reliable
  - Recommend latest OSes for download when available in osinfo-db
  - Added/updated/fixed translations:
    - French
    - Indonesian
    - Swedish
    - Czech
    - Korean
    - Danish
    - Spanish

42.beta - 24 Feb, 2022
======================

Changes since 42.alpha

  - Show machine.status also in IconView (while installing, importing, cloning...)
  - Stop snapshotiong VMs after creation
  - Redesigned starting page of the VM creation assistant
  - Updated documentation for Preferences dialog and VM creation assistant
  - Add ctrl-alt-f9 shortcut to forward to the guest
  - Replace in-app notifications with Toasts
  - build: remove positional i18n.merge_file arguments
  - Added/updated/fixed translations:
    - Basque
    - Brazilian Portuguese
    - Catalan
    - Chinese (China)
    - Croatian
    - Czech
    - Danish
    - Galician
    - Hebrew
    - Indonesian
    - Italian
    - Japanese
    - Lithuanian
    - Persian
    - Portuguese
    - Russian
    - Slovenian
    - Spanish
    - Turkish
    - Ukrainian

42.alpha - 11 Jan, 22022
========================

Changes since 41.3

  - Update to the list of downloadable operating systems
  - Fix an issue causing VMs to have no sound
  - Fix an issue preventing users from configuring 3D acceleration
  - Fix crash with absent storage volumes
  - Go to display-view after importing a box
  - Stop bundling libhandy as a subproject
  - New Preferences dialog
  - Port box creation Assistant widgets to libhandy
  - Use content-type to detect media files
  - Remove selection-mode
  - New box thumbnail drawing logic (with CSS)
  - Added/updated/fixed translations:
    - Persian
    - Portuguese
    - Russian
    - Brazilian Portuguese
    - Ukrainian
    - Indonesian
    - Spanish
    - Lithuanian
    - Chinese (China)
    - Basque
    - Friulian
    - Hebrew
    - Catalan
    - Swedish
    - Croatian
    - Latvian
    - Vietnamese
    - Slovak
    - Serbian

41.0 - 17 Sep, 2021
===================

Changes since 41.rc

  - Added/updated/fixed translations:
    - Croatian
    - Danish
    - Dutch
    - Hungarian
    - Polish
    - Russian
    - Spanish
    - Swedish

All contributors to this release:

Alan Mortensen <alanmortensen.am@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Balázs Úr <balazs@urbalazs.hu>
Felipe Borges <felipeborges@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Konstantin Nezhbert <zhbert@yandex.ru>
Nathan Follens <nfollens@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rodrigo Lledó <rodhos92@gmail.com>

41.rc - 03 Sep, 2021
======================

Changes since 41.alpha

  - Make Boxes use Vnc when SPICE is not available
  - transfer-popover: Encapsulate widget setup internally
  - Added/updated/fixed translations:
    - Basque
    - Catalan
    - Chinese (China)
    - Czech
    - Finnish
    - French
    - Friulian
    - Galician
    - German
    - Indonesian
    - Kazakh
    - Korean
    - Lithuanian
    - Occitan
    - Persian
    - Slovenian
    - Swedish
    - Turkish

All contributors to this release:

Asier Sarasua Garmendia <asiersarasua@ni.eus>
Aurimas Černius <aurisc4@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Burhan KELEŞ <klsburhan@hotmail.com>
Claude Paroz <claude@2xlibre.net>
Danial Behzadi <dani.behzi@ubuntu.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Luna Jernberg <droidbittin@gmail.com>
Marek Černocký <marek@manet.cz>
Matej Urbančič <mateju@src.gnome.org>
Philipp Kiemle <philipp.kiemle@gmail.com>
Quentin PAGÈS <pages_quentin@hotmail.com>
Seong-ho Cho <shcho@gnome.org>
Tao Liu <lyuutau@outlook.com>

41.alpha - 09 Jul, 2021
=======================

Changes since 40.3

  - Provide source for svg icons
  - Fix run-in-bg VMs for non-Flatpak builds
  - Replace uses of "open-menu-symbolic" with view-more-symbolic in docs
  - Update recommended downloads to latest releases
  - Update the empty-state title and description text
  - Remove remaining UI references to remote capabilities
  - Override "--help" command line argument
  - Introduce script to auto-generate release notes
  - Display downloadable entries' URL in tooltip
  - Display image filepath in Discovered Sources tooltip
  - Add AlmaLinux logo
  - Add audio playback support for VNC connections
  - Fix wrong margin to scrollable area in troubleshooting logs dialog
  - Added/updated/fixed translations:
    - Brazilian Portuguese
    - Chinese (China)
    - Chinese (Taiwan)
    - Dutch
    - French
    - Friulian
    - German
    - Greek
    - Hebrew
    - Indonesian
    - Italian
    - Nepali
    - Norwegian Bokmål
    - Occitan
    - Persian
    - Polish
    - Portuguese
    - Romanian
    - Russian
    - Spanish
    - Ukrainian

All contributors to this release:

Alexey Rubtsov <rushills@gmail.com>
Andika Triwidada <atriwidada@gnome.org>
Andre Klapper <a9016009@gmx.de>
Boyuan Yang <073plan@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Danial Behzadi <dani.behzi@ubuntu.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Fabio Tomat <f.t.public@gmail.com>
Federico Bruni <fede@inventati.org>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Guillaume Bernard <associations@guillaume-bernard.fr>
Hugo Carvalho <hugokarvalho@hotmail.com>
Jakub Steiner <jimmac@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Nathan Follens <nfollens@gnome.org>
Olivier Lemasle <o.lemasle@gmail.com>
Pawan Chitrakar <chautari@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Quentin PAGÈS <pages_quentin@hotmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Tim Sabsch <tim@sabsch.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Yuri Chornoivan <yurchor@ukr.net>

40.3 - Jul 09, 2021
===================

Changes since 40.2

  - fix run-in-background functionaly for non-flatpak builds

All contributors to this release:

Felipe Borges <felipeborges@gnome.org>

40.2 - Jun 23, 2021
===================

Changes since 40.1

  - recommended-downloads: Update to latest releases
  - unattended-installer: Avoid accessing non-existant gvariant child
  - unattended-installer: Fix access to possibly null value
  - Added/updated/fixed translations:
    - Spanish
    - Friulian
    - Indonesian
    - Norwegian Bokmål

All contributors to this release:

Andika Triwidada <atriwidada@gnome.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>

40.1 - May 03, 2021
===================

Changes since 40.0

  - Added/updated/fixed translations:
    - Chinese (China)
    - Chinese (Taiwan)
    - Dutch
    - French
    - Galician
    - German
    - Hebrew
    - Nepali
    - Persian
    - Polish
    - Portuguese

All contributors to this release:

Boyuan Yang <073plan@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Christian Kirbach <Christian.Kirbach@gmail.com>
Danial Behzadi <dani.behzi@ubuntu.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Guillaume Bernard <associations@guillaume-bernard.fr>
Hugo Carvalho <hugokarvalho@hotmail.com>
Nathan Follens <nfollens@gnome.org>
Pawan Chitrakar <chautari@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>

40.0 - Mar 19, 2021
===================

Changes since 40.rc

  - Added/updated/fixed translations:
    - Korean
    - Czech
    - Brazilian Portuguese
    - Ukrainian
    - Turkish
    - Catalan
    - Swedish
    - Punjabi
    - Italian
    - Indonesian
    - Portuguese
    - Basque
    - Romanian
    - German
    - Spanish
    - Finnish
    - Hungarian
    - Slovenian
    - Greek
    - French
    - Lithuanian
    - Serbian

All contributors to this release:

A S Alam <aalam@fedoraproject.org>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Asier Sarasua Garmendia <asiersarasua@ni.eus>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <balazs@urbalazs.hu>
Efstathios Iosifidis <eiosifidis@gnome.org>
Enrico Nicoletto <liverig@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Felipe Borges <felipeborges@gnome.org>
Guillaume Bernard <associations@guillaume-bernard.fr>
Hugo Carvalho <hugokarvalho@hotmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Marek Černocký <marek@manet.cz>
Matej Urbančič <mateju@src.gnome.org>
Milo Casagrande <milo@milo.name>
Muhammet Kara <muhammetk@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Philipp Kiemle <philipp.kiemle@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Sabri Ünal <libreajans@gmail.com>
Seong-ho Cho <shcho@gnome.org>
Yuri Chornoivan <yurchor@ukr.net>

40.rc - Mar 12, 2021
====================

Changes since 40.beta

  - Use USB3 for supported operating systems
  - Improve human-readable names for OS variants
  - Fix config-editor error message formating
  - Indicate that we can open other formats other than .iso
  - Undefine NVRAM domains also for non-flatpak builds
  - References of [GtkChild] no longer take ownership
  - Update documentation for editing libvirt domain config
  - Use scallable icon in help pages
  - Default sound model to ich9 for undetected OSes
  - Added/updated/fixed translations:
    - Brazilian Portuguese
    - Slovenian
    - French
    - Hungarian
    - German
    - Finnish
    - Lithuanian
    - Basque
    - Galician
    - Croatian
    - Catalan
    - Turkish
    - Indonesian
    - Ukrainian
    - Swedish
    - Kazakh
    - Persian
    - British English
    - Serbian
    - Korean
    - Portuguese
    - Spanish
    - Czech
    - Romanian
    - Friulian
    - Dutch

Dependencies changed:
  - libvirt-glib >= 4.0.0

All contributors to this release:

Alexandre Franke <afranke@gnome.org>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Asier Sarasua Garmendia <asiersarasua@ni.eus>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <balazs@urbalazs.hu>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Charles Monzat <charles.monzat@free.fr>
Danial Behzadi <dani.behzi@ubuntu.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Guillaume Bernard <associations@guillaume-bernard.fr>
Hannie Dumoleyn <hannie@ubuntu-nl.org>
Hugo Carvalho <hugokarvalho@hotmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Marek Černocký <marek@manet.cz>
Matej Urbančič <mateju@svn.gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>
Philipp Kiemle <philipp.kiemle@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Rico Tzschichholz <ricotz@ubuntu.com>
Sabri Ünal <libreajans@gmail.com>
Sebastian Grabowski <sebastian@grabel.de>
Seong-ho Cho <shcho@gnome.org>
Stephan Woidowski <swoidowski@t-online.de>
Tim Sabsch <tim@sabsch.com>
Vanadiae <vanadiae35@gmail.com>
Yuri Chornoivan <yurchor@ukr.net>
Zander Brown <zbrown@gnome.org>

40.beta - Feb 15, 2021
======================

Changes since 40.alpha

  - Handle run-in-bg VMs in Flatpak
  - Add rounded bottom window corners
  - Align welcome tutorial graphic grid
  - Use new standardized Empty State page
  - Allow users to replace install source of live images
  - Allow the override of the dark theme
  - Pass discard "unmap" to virtio-blk disks
  - Set disk 'startupPolicy' only for 'file' based volumes
  - Update the recommended-downloads list with latest releases
  - Various doc updates
  - Added/updated/fixed translations:
    - Turkish
    - Ukrainian
    - Catalan
    - Czech
    - Swedish
    - Norwegian Bokmål
    - Spanish
    - Romanian
    - Indonesian
    - Basque
    - Friulian
    - German
    - Greek
    - Portuguese
    - Lithuanian
    - Galician
    - Hungarian
    - Persian
    - Brazilian Portuguese
    - Slovenian
    - French

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Andika Triwidada <atriwidada@gnome.org>
Asier Sarasua Garmendia <asiersarasua@ni.eus>
Aurimas Černius <aurisc4@gmail.com>
Balázs Meskó <meskobalazs@mailbox.org>
Christopher Davis <brainblasted@disroot.org>
Danial Behzadi <dani.behzi@ubuntu.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Efstathios Iosifidis <eiosifidis@gnome.org>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Fran Dieguez <frandieguez@gnome.org>
Guillaume Bernard <associations@guillaume-bernard.fr>
Hugo Carvalho <hugokarvalho@hotmail.com>
Jordi Mas <jmas@softcatala.org>
Kjartan Maraas <kmaraas@gnome.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Marek Černocký <marek@manet.cz>
Matej Urbančič <mateju@svn.gnome.org>
Philipp Kiemle <philipp.kiemle@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Yuri Chornoivan <yurchor@ukr.net>
Zeeshan Ali <zeenix@gmail.com>

3.38.2 - Nov 20, 2020
=====================

Changes since 3.38.2

  - Improve handling of file extensions
  - Update recommended downloads to latest distro releases
  - Update download URLs for GNOME OS
  - Install GNOME OS under the Boxes osinfo custom database
  - Added/updated/fixed translations:
    - Catalan
    - British English
    - Danish
    - Turkish

All contributors to this release:

Ask Hjorth Larsen <asklarsen@gmail.com>
Bruce Cowan <bruce@bcowan.me.uk>
Emin Tufan Çetin <etcetin@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jordi Mas <jmas@softcatala.org>

3.38.1 - Oct 2, 2020
====================

Changes since 3.38.0

  - Adjust for GNOME OS VM 3.38
  - Allow libhandy to be built as a subproject
  - Port to Tracker 3
  - Added/updated/fixed translations:
    - Friulian
    - Chinese (Taiwan)
    - British English
    - Latvian
    - Catalan

All contributors to this release:

Carlos Garnacho <carlosg@gnome.org>
Cheng-Chia Tseng <pswo10680@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jordi Mas <jmas@softcatala.org>
Piotr Drąg <piotrdrag@gmail.com>
Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Sam Thursfield <sam@afuera.me.uk>
Zander Brown <zbrown@gnome.org>

3.38.0 - Sep 11, 2020
=====================

Changes since 3.37.91

  - Added/updated/fixed translations:
    - Portuguese
    - Italian
    - Friulian

All contributors to this release:

Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Juliano Camargo <julianosc@protonmail.com>
Milo Casagrande <milo@milo.name>

3.37.91 - Sep 07, 2020
======================

Changes since 3.37.90

  - Only show Snapshots tab when it is supported (not supported for EFI guests)
  - Add URL for GNOME Nightly OS ISO image
  - Various fixes on the image detection for the GNOME Nightly OS images
  - Added/updated/fixed translations:
    - Greek
    - Ukrainian
    - Catalan
    - Basque
    - Brazilian Portuguese
    - Indonesian
    - Turkish
    - French
    - Romanian
    - Japanese
    - Galician
    - Kazakh
    - Finnish
    - Swedish
    - Croatian
    - Dutch
    - Chinese (China)
    - Polish
    - Lithuanian
    - Persian
    - Slovenian
    - Friulian
    - Korean
    - Slovak
    - German
    - Hungarian
    - Serbian
    - Czech
    - Danish

All contributors to this release:

Abderrahim Kitouni <akitouni@gnome.org>
Alan Mortensen <alanmortensen.am@gmail.com>
Alexandre Franke <afranke@gnome.org>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Asier Sarasua Garmendia <asiersarasua@ni.eus>
Aurimas Černius <aurisc4@gmail.com>
Balázs Meskó <meskobalazs@mailbox.org>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Boyuan Yang <073plan@gmail.com>
Charles Monzat <charles.monzat@free.fr>
Danial Behzadi <dani.behzi@ubuntu.com>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Fran Dieguez <frandieguez@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Hannie Dumoleyn <hannie@ubuntu-nl.org>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordan Petridis <jpetridis@gnome.org>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Seong-ho Cho <shcho@gnome.org>
Valentin David <valentin.david@codethink.co.uk>
Yuri Chornoivan <yurchor@ukr.net>
Yuki Okushi <huyuumi.dev@gmail.com>

3.37.90 - Aug 07, 2020
======================

Changes since 3.37.1

  - Only downscale SPICE displays to avoid blurred upscaled displays
  - Fix actions popover placement
  - Account for offset of outer widgets while passing events to display
  - Prevent displays from overlapping each other
  - Let users pick the OS from a list if the OS is unknown
  - Special case the GNOME OS images
  - Add editor for libvirt VM configuration
  - Added/updated/fixed translations:
    - Chinese (China)
    - Ukrainian
    - Slovenian
    - Kazakh
    - Friulian
    - Lithuanian
    - Brazilian Portuguese
    - Catalan
    - Romanian
    - Swedish
    - Indonesian
    - Turkish

Dependencies changed:
  - gtksourceview-4 (NEW)

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Aurimas Černius <aurisc4@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Jason Gerecke <killertofu@gmail.com>
Jordan Petridis <jpetridis@gnome.org>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Monika Grabovska <monika.grabovska@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
tuhaihe <1132321739qq@gmail.com>
Yuri Chornoivan <yurchor@ukr.net>
王滋涵 Zephyr Wang <wi24rd@fedoraproject.org>

3.37.1 - Jun 08, 2020
=====================

Changes since 3.36.0

  - Update Flatpak dependencies
  - Force "wget" as user-agent in SoupSession
  - Various visual polishings of the Welcome Tutorial dialog
  - Allow "spice:///" addresses in remote connection assistant
  - Drop the view filter switcher
  - Offer newest releases of OSes in recommended downloads list
  - Grab focus for password fields in AuthNotification
  - Fix various build warnings with newer Vala versions
  - Fix DnD destination widget interfering with the drop target
  - Include rolling releases as Downloadable OSes
  - Fix crash when input-source is not available
  - Don't recreate GraphicsSpice object at guest startup
  - Apply deferred property changes as user progresses on the Assistant
  - Move the download popover button left of the search button
  - Account for Medias without URLs in serilize_os_title
  - Sanitize our GSource handling of notifications
  - Don't crash for outdated osinfo db
  - Add Manjaro and NixOS logos
  - Various gcc 10 build fixes for Flatpak
  - Disable creation of VMs with EFI firmware (in favor of Snapshot support)
  - Do the cancellation of VM creation properly
  - Added/updated/fixed translations:
    - Dutch
    - Czech
    - Romanian
    - German
    - Italian
    - Indonesian
    - Catalan
    - Japanese
    - Serbian
    - Chinese (Taiwan)
    - Ukrainian
    - Chinese (China)
    - Persian
    - Spanish
    - Turkish
    - Slovak
    - Esperanto
    - Greek

Dependencies changed:

  - Added libhandy

All contributors to this release:

Alexander Mikhaylenko <alexm@gnome.org>
Andika Triwidada <atriwidada@gnome.org>
Carmen Bianca BAKKER <carmen@carmenbianca.eu>
Cheng-Chia Tseng <pswo10680@gmail.com>
corecontingency <ccontingency@gmail.com>
Danial Behzadi <dani.behzi@ubuntu.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Dušan Kazik <prescott66@gmail.com>
Dz Chen <wsxy162@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Emin Tufan Çetin <etcetin@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Federico Bruni <fede@inventati.org>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <emryslokadottir@gmail.com>
Isaque Galdino <igaldino@gmail.com>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Manuel Wassermann <manuel.wassermann97@gmail.com>
Marek Černocký <marek@manet.cz>
Марко Костић <marko.m.kostic@gmail.com>
Milo Casagrande <milo@milo.name>
Nathan Follens <nfollens@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Ryuta Fujii <translation@sicklylife.jp>
Sergio Costas <raster@rastersoft.com>
Tim Sabsch <tim@sabsch.com>
Yuri Chornoivan <yurchor@ukr.net>

3.36.0 - Mar 06, 2020
=====================

Changes since 3.35.91

  - Added/updated/fixed translations:
    - Ukrainian
    - Italian
    - Norwegian Bokmål

All contributors to this release:

Daniel Korostil <ted.korostiled@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Milo Casagrande <milo@milo.name>

3.35.91 - Mar 02, 2020
======================

Changes since 3.35.90

  - Make it easier to tell download rows apart (tooltip)
  - Remove Ctrl+F1 from keyboard shortcuts page
  - Stop deleting faulty VMs automatically
  - Only add CDROM device if backing file/media exists
  - Fix check for virtualization capabilities in host
  - Added/updated/fixed translations:
    - Slovak
    - Spanish
    - Catalan
    - Indonesian
    - Swedish
    - Turkish
    - Brazilian Portuguese
    - Lithuanian
    - British English
    - Japanese
    - Basque
    - Finnish
    - Galician
    - Persian
    - Hungarian
    - Greek
    - French
    - Korean
    - Danish
    - Friulian
    - Polish
    - Croatian

All contributors to this release:

Alan Mortensen <alanmortensen.am@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Meskó <mesko.balazs@fsf.hu>
Balázs Úr <balazs@urbalazs.hu>
Bruce Cowan <bruce@bcowan.me.uk>
Charles Monzat <charles.monzat@free.fr>
Christophe Fergeau <cfergeau@redhat.com>
Danial Behzadi <dani.behzi@ubuntu.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Guillaume Bernard <associations@guillaume-bernard.fr>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Ryuta Fujii <translation@sicklylife.jp>
Sabri Ünal <libreajans@gmail.com>
Seong-ho Cho <shcho@gnome.org>

3.35.90 - Feb 03, 2020
======================

Changes since 3.35.2

  - Draw a pie chart to indicate progress in downloads hub
  - Pop up downloads hub when a new download is added
  - Launch installation when there's only one download
  - Cleanup downloads list after download is complete
  - Don't use q35 machine profile with unknown OSes
  - Introduce the Welcome Tutorial dialog
  - Fix VNC authentication retrials
  - Offer "Read only" option in VNC connections
  - Allow to clone VMs only when they aren't running
  - Drop system libvirt importer
  - Allow installed disks/images to exist anywhere in $HOME
    (instead of importing into Boxes' internal storage)
  - Update keyboard shortcuts
  - Make the search provider work for Flatpak installations
  - Allow users to change the vCPU count
  - Added/updated/fixed translations:
    - Spanish
    - Occitan
    - Chinese (Taiwan)
    - Greek
    - Friulian
    - Galician
    - Indonesian
    - Japanese
    - Croatian
    - Catalan
    - Slovak
    - Brazilian Portuguese
    - Finnish
    - Malay
    - Turkish
    - Swedish
    - Lithuanian

Dependencies changed:

  - libosinfo >= 1.7
  - libvirt-glib >= 3.0

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Andika Triwidada <atriwidada@gnome.org>
Aurimas Černius <aurisc4@gmail.com>
Cédric Valmary <cvalmary@yahoo.fr>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Fabiano Fidêncio <fidencio@redhat.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordan Petridis <jpetridis@gnome.org>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Ryuta Fujii <translation@sicklylife.jp>
Sabri Ünal <libreajans@gmail.com>
Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Yi-Jyun Pan <pan93412@gmail.com>

3.35.2 - Nov 25, 2019
=====================

Changes since 3.35.1

  - Introduce the new VM Assistant and Downloads manager (popover)
  - Fallback to host's time when RTC is not available in guest
  - Add 'Development' and 'Emulator' categories in desktop file
  - Check for null results in media lists
  - Recommend latest RHEL/Fedora/Ubuntu
  - Fix build with Vala master
  - Various CI fixes
  - Added/updated/fixed translations:
    - Indonesian
    - Czech
    - Spanish
    - Friulian
    - Basque

Dependencies changed:

  - meson >= 0.50

All contributos to this release:

Andika Triwidada <atriwidada@gnome.org>
Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Diego Escalante Urrelo <diegoe@gnome.org>
Dor Askayo <dor.askayo@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Gaurav Agrawal <agrawalgaurav1999@gmail.com>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Marek Černocký <marek@manet.cz>
Michael Catanzaro <mcatanzaro@gnome.org>

3.35.1 - Oct 14, 2019
=====================

Changes since 3.34.1

  - Round user avatar in the wizard
  - Use bold text heading in the Properties dialog
  - Various Flatpak/CI/Nightly fixes:
    - Use the nightly icon
    - Drop the "(Development)" desktop file name prefix
    - Simplify .gitlab-ci file
    - Publish nightly Flatpaks from CI
    - Split Fedora CI build test on its own stage
    - Grant access to system bus services such as:
      "org.freedesktop.timedate1", "org.freedesktop.secrets",
      and "org.freedesktop.AccountsService"
    - Build spice-gtk and Tracker with "meson"
    - Update to Qemu 4.1
    - Drop bundled libarchive and openssh
  - Added/updated/fixed translations:
      - Spanish
      - Danish
      - Lithuanian
      - Japanese
      - Slovak
      - Serbian

All contributors to this release:

Ask Hjorth Larsen <asklarsen@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dor Askayo <dor.askayo@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Felipe Borges <felipeborges@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Ryuta Fujii <translation@sicklylife.jp>
Srestha Srivastava <sresthasrivastava.ss@gmail.com>

3.34.1 - Oct 07, 2019
=====================

Changes since 3.34.0

  - Prevent machine names from expanding the icon view
  - Recommend Debian 10 and Endless OS 3.6 in "Download an OS"
  - Added/updated/fixed translations:
    - Czech
    - Serbian
    - Slovak
    - Lithuanian
    - Japanese
    - Danish

All contributors to this release:

Ask Hjorth Larsen <asklarsen@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Marek Černocký <marek@manet.cz>
Ryuta Fujii <translation@sicklylife.jp>
Will Thompson <will@willthompson.co.uk>

3.34.0 - Sep 09, 2019
=====================

Changes since 3.33.90

  - Only show supported architectures in "Download an OS" page
  - Fix crash with media enumeration
  - Adjust appdata to pass the strict validation
  - Added/updated/fixed translations:
    - Czech
    - Finnish
    - Polish
    - Slovenian
    - Hungarian
    - French
    - Galician
    - Catalan
    - Korean
    - Turkish
    - Friulian
    - Spanish
    - Greek
    - British English
    - Dutch
    - Croatian
    - Italian
    - Swedish
    - Brazilian Portuguese

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Andre Klapper <aklapper@wikimedia.org>
Balázs Úr <balazs@urbalazs.hu>
Bruce Cowan <bruce@bcowan.me.uk>
Charles Monzat <charles.monzat@free.fr>
Daniel Mustieles <daniel.mustieles@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Gábor Kelemen <kelemeng@openscope.org>
Goran Vidović <trebelnik2@gmail.com>
Hannie Dumoleyn <hannie@ubuntu-nl.org>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Marek Černocký <marek@manet.cz>
Matej Urbančič <mateju@svn.gnome.org>
Milo Casagrande <milo@ubuntu.com>
Petr Kovář <pknbe@volny.cz>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Sabri Ünal <libreajans@gmail.com>
Seong-ho Cho <shcho@gnome.org>

3.33.90 - Aug 14, 2019
======================

Changes since 3.33.3

  - Auto enable boot menu for VMs with a CD/DVD assigned
  - Modernize the unnatended installation code
  - Prefer initrd over disk as injection method
  - Various Flatpak/CI build fixes
  - Print '-h' as the help commandline option (instead of -?)
  - Wrap size and DnD overlays in OSD for better readability
  - Added/updated/fixed translations:
    - Spanish
    - Brazilian Portuguese
    - Romanian
    - German
    - Swedish
    - Indonesian
    - Lithuanian
    - Catalan
    - Basque

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Tim Sabsch <tim@sabsch.com>

3.33.3 - Jul 29, 2019
=====================

Changes since 3.33.2

  - Split new box assistant into two (remote and virtual machines)
  - Use 3.32 Sdk and Runtime for CI
  - Drop option to Share Clipboard (now it is always shared)
  - Add tooltips for media entries in the assistant
  - Added/updated/fixed translations:
    - German
    - Norwegian Bokmål
    - Basque

All contributors to this release:

Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Mayank Mandava <mayank.mandava@afterpay.com>
Tim Sabsch <tim@sabsch.com>

3.33.2 - Jul 02, 2019
=====================

Changes since 3.33.1

  - Add 3D acceleration option to VM Properties dialog
  - Convert collection switcher to GtkRadioButtons to avoid multi-selection
  - Stop enabling virtio-gpu by default to new installs (make it opt-in)
  - Use spice_main_channel_file_copy_async instead of deprecated API
  - Pass username and port to openssh while connecting
  - Take screenshots with Gtk, instead of delegating to the display widget
  - Don't duplicate Recommended Downloads in the "Show All" list
  - Added/updated/fixed translations:
    - Spanish
    - Indonesian
    - Hungarian
    - Finnish
    - Friulian
    - Greek
    - Dutch
    - Croatian
    - Brazilian Portuguese
    - Swedish

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Balázs Meskó <meskobalazs@fedoraproject.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Ostrowski <daniel.j.ostrowski@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Nathan Follens <nfollens@gnome.org>
Rafael Fontenelle <rafaelff@gnome.org>
Rodrigo Lledó <rodhos92@gmail.com>

3.33.1 - May 17, 2019
=====================

Changes since 3.32.1

  - Drop oVirt support
  - Add missing oxford comma to wizard-source
  - Use GtkFileChooserNative for the CD/DVD chooser
  - Don't steal input from username entry in express installs
  - Fix "Download an OS" search issue with modifier keys
  - Rename pango attribute incorrectly localized
  - Add CentOS logo
  - Added/updated/fixed translations:
    - Spanish
    - Indonesian
    - Friulian
    - Czech

All contributors to this release:

AsciiWolf <mail@asciiwolf.com>
Daniel Davies <silicon.octopus@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Rusek <mail@asciiwolf.com>
Fabio Tomat <f.t.public@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Felipe Borges <felipeborges@gnome.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>

3.32.1 - May 09, 2019
=====================

Changes since 3.32.0.1

  - Keep the app ID same as in 3.30 in appdata file
  - Offer RHEL 8.0 download and new Red Hat logo
  - Offer newest Ubuntu, Fedora, OpenSUSE
  - Added/updated/fixed translations:
    - Slovak
    - Hungarian
    - Chinese (Taiwan)
    - Turkish
    - Danish
    - Lithuanian
    - Friulian
    - Czech

All contributors to this release:

Ask Hjorth Larsen <asklarsen@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <balazs@urbalazs.hu>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Rusek <mail@asciiwolf.com>
Dušan Kazik <prescott66@gmail.com>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Kalev Lember <klember@redhat.com>

3.32.0.2 - Fri 29, 2019
=======================

Changes since 3.32.0.1

  - Enable Snapshots for host-passthrough
  - Creation method of abstract class cannot be public
  - Added/updated/fixed translations:
    - Indonesian
    - Italian
    - Romanian
    - Finnish
    - Polish
    - Swedish
    - Spanish
    - Serbian
    - Russian
    - German
    - Slovenian
    - Croatian
    - Brazilian Portuguese

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Felipe Borges <felipeborges@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Mario Blättermann <mario.blaettermann@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Milo Casagrande <milo@ubuntu.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Stas Solovey <whats_up@tut.by>

3.32.0.1 - Mon 18, 2019
=======================

This is an emergency release to workaround problems
users can have with 3D acceleration

Changes since 3.32.0

  - Offer option to disable 3D acceleration
  - Added/updated/fixed translations:
    - Brazilian Portuguese
    - Lithuanian
    - Finnish
    - Hungarian
    - Slovenian
    - Turkish
    - Dutch
    - Danish
    - Korean
    - Galician
    - Romanian

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Ask Hjorth Larsen <asklarsen@gmail.com>
Balázs Úr <balazs@urbalazs.hu>
Daniel Șerbănescu <daniel@serbanescu.dk>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Jiri Grönroos <jiri.gronroos@iki.fi>
Nathan Follens <nfollens@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Rafael Fontenelle <rafaelff@gnome.org>
Sabri Ünal <libreajans@gmail.com>
Seong-ho Cho <shcho@gnome.org>

3.32.0 - Mon 11, 2019
=====================

Changes since 3.31.91

  - Make "Launch" string translatable
  - Added/updated/fixed translations:
    - Afrikaans
    - German
    - Polish
    - Spanish
    - Serbian
    - Indonesian
    - Italian
    - French
    - Brazilian Portuguese

All contributors to this release:

Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Felipe Borges <felipeborges@gnome.org>
Guillaume Bernard <associations@guillaume-bernard.fr>
Марко Костић <marko.m.kostic@gmail.com>
Milo Casagrande <milo@ubuntu.com>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Tim Sabsch <tim@sabsch.com>

3.31.91 - Mon 04, 2019
======================

Changes since 3.31.90

  - Fix default collection names in translations
  - Use nonet for AppStream metadata test
  - Prevent X11 access in a Wayland session with newer Flatpak
  - Check libosinfo for optional passwords
  - Only express-install supported medias
  - Improve initrd-injection support
  - Support express-installing Ubuntu
  - Added/updated/fixed translations:
    - Finish
    - Hungarian
    - Polish
    - Lithuanian
    - Brazilian Portuguese
    - Danish
    - Kazakh
    - French
    - Dutch
    - Basque
    - Korean
    - Russian
    - Catalan
    - Italian
    - Serbian
    - Latvian

All contributors to this release:

Alan Mortensen <alanmortensen.am@gmail.com>
Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <balazs@urbalazs.hu>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Debarshi Ray <debarshir@gnome.org>
Fabiano Fidêncio <fidencio@redhat.com>
Felipe Borges <felipeborges@gnome.org>
Jeremy Bicha <jbicha@ubuntu.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Julien Humbert <julroy67@gmail.com>
Марко Костић <marko.m.kostic@gmail.com>
Nathan Follens <nathan@anche.no>
Milo Casagrande <milo@ubuntu.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Seong-ho Cho <shcho@gnome.org>
Stas Solovey <whats_up@tut.by>

3.31.90 - Tue 05, 2019
======================

Changes since 3.31.4

  - Use "host-passthrough" as default CPU mode
  - Always override the CPU mode
    (Use host-passthrough for existing VMs too)
  - Remove custom "devel" styling (use GTK one)
  - Make the application icon more legible
  - Pass a better keyboard id for express installations
  - Paint thumbnails' background with CSS
  - Added/updated/fixed translations:
    - German
    - Esperanto
    - French
    - Afrikaans
    - Chinese (Taiwan)
    - Slovenian
    - Hungarian
    - Galician
    - Spanish
    - Romanian
    - Indonesian

All contributors to this release:

Balázs Úr <balazs@urbalazs.hu>
Bernd Homuth <dev@hmt.im>
Carmen Bianca BAKKER <carmen@carmenbianca.eu>
Charles Monzat <charles.monzat@numericable.fr>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Guillaume Bernard <associations@guillaume-bernard.fr>
Jakub Steiner <jimmac@gmail.com>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Pieter Schalk Schoeman <pieter@sonbesie.co.za>
Yi-Jyun Pan <pan93412@gmail.com>

3.31.4 - Jan 08, 2019
=====================

Changes since 3.31.3

  - Shared folders code was decoupled from SpiceDisplay
  - Handle disconnection events from remote machines
  - Introduce ssh client support
  - Drop support for gnome-continuos images
  - Add "backup" instructions to the docs
  - Improve the appdata file and validate it on build
  - Allow list view to shrink
  - Enable virtio-gpu if OS supports it in osinfo-db
  - Enable 3D acceleration and OpenGL for virtio-gpu
  - Only add USB Tablet device if OS supports it in osinfo-db
  - Don't quit on Ctrl+Q while on Display page
  - Reduce build warnings by handling some exceptions
  - Default to PS2 input bus (except for devices that support
    USB tablet)
  - Added/updated/fixed translations:
    - Spanish
    - Slovenian
    - Swedish
    - Greek
    - Friulian
    - Turkish

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Bilal Elmoussaoui <bil.elmoussaoui@gmail.com>
Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Michael Hill <mdhillca@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.31.3 - Nov 22, 2018
=====================

Changes since 3.31.3

  - Drop Application Menu
  - Make shortcuts window transient to the main window
  - Use GFile API to get shared folder path and name
    (This way we can handle UTF-8 names)
  - Convert README to markdown
  - Don't use Osinfo.Device.get_name directly
    (Names don't necessarily match between osinfo and libvirt)
  - Add a libosinfo metadata to the domain's XMLs
  - Recreate network interface for clones
    (This way clones won't have the same IP address)
  - Don't hardcode RHEL version
    (So we can automatically install newly released RHELs)
  - Fix listbox styling in non-standard themes
  - Improve the search results in "Download an OS"
  - Recommend the latest OSes released to date
  - Offer a convenient way for distros to set recommended downloads
  - Added/updated/fixed translations:
    - Czech
    - Slovak
    - Slovenian
    - Esperanto
    - Malayalam

All contributors to this release:

Anish Sheela <aneesh.nl@gmail.com>
Carmen Bianca BAKKER <carmen@carmenbianca.eu>
Dušan Kazik <prescott66@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Felipe Borges <felipeborges@gnome.org>
Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Marek Cernocky <marek_cernocky@conel.cz>
Matej Urbančič <mateju@svn.gnome.org>
Thiago Mendes <thiago@posteo.de>
Will Thompson <will@willthompson.co.uk>

3.31.2 - Oct 12, 2018
=====================

Changes since 3.31.1

  - Set the default machine-type to q35
  - Use SATA as default when using q35
  - Use ICH9 as default when using q35
  - Added/updated/fixed translations:
    - Norwegian Bokmål
    - Indonesian

Dependencies changed:

  - libvirt-gconfig-1.0 >= 2.0.0
  - libvirt-gobject-1.0 >= 2.0.0

All contributors to this release:

Fabiano Fidêncio <fidencio@redhat.com>
Felipe Borges <felipeborges@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>

3.31.1 - Oct 09, 2018
=====================

Changes since 3.30.1

  - Update app icon
  - Don't GPG check for Fedora in CI
  - Use view-more-symbolic icon in display view toolbar
  - Flatpak specific improvements:
    - Lower Flatpak bundle expiration interval
    - Always build with the latest osinfo-db
    - Install libfreerdp under the right prefix
    - Support Folder Sharing
    - Fix the Flatpak build on Aarch64
  - Added/updated/fixed translations:
    - Norwegian Bokmål

All contributors to this release:

Carlos Soriano <csoriano1618@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jakub Steiner <jimmac@gmail.com>
Jordan Petridis <jordanpetridis@protonmail.com>
Joshua Lee <lee.son.wai@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Mathieu Bridon <bochecha@daitauha.fr>
Thomas Coldrick <othko97@gmail.com>

3.29.4 - Jul 16, 2018
=====================

Changes since 3.29.3

  - Handle RDP and VNC mimetypes
  - Add OARS tags to improve display in GNOME Software
  - Introduce the "Initial setup" page in the wizard
  - Various UI changes in the new box assistant
    - Handle URLs of images in the "Download an OS" page
    - Fix inconsistencies with the back/cancel buttons in the topbar
    - Revamp the "Enter URL" page
    - Rename "Enter URL" page to "Connect to a remote box"
    - Add subtitles to the menu options
  - Added/updated/fixed translations:
    - Slovenian
    - Romanian
    - German
    - Spanish
    - Catalan
    - Chinese (Taiwan)
    - Friulian
    - Italian

All contributors to this release:

Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jordi Mas <jmas@softcatala.org>
Matej Urbančič <mateju@svn.gnome.org>
Matt Harris <matth281@outlook.com>
Milo Casagrande <milo@ubuntu.com>
Nick Richards <nick@endlessm.com>
Piotr Drąg <piotrdrag@gmail.com>
Vinzenz Vietzke <vinz@vinzv.de>
Yi-Jyun Pan <pan93412@gmail.com>

3.29.3 - Jun 20, 2018
=====================

Changes since 3.29.2

  - Fix new valac warnings
  - Rename icons to match application id
  - Use VIRTIO video adapter for new VMs
  - Build as a Flatpak
  - Build the "development" profile by default
  - Show git HEAD hash in the about dialog
  - Add VNC and RDP keywords to the desktop file
  - Add support for the ovf format (.ova)
  - List Fedora Silverblue 28 in the "Download an OS" page
  - Pass "package_subdir" to submodules
  - Added/updated/fixed translations:
    - Chinese (China)
    - Spanish
    - Swedish
    - Polish
    - German
    - Russian
    - Czech
    - Brazilian Portuguese
    - Chinese (Taiwan)
    - Romanian
    - Greek

Dependencies changed:

  - meson >= 0.46
  - Depend on libovf-glib (subproject)

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Christian Kirbach <Christian.Kirbach@gmail.com>
Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Efstathios Iosifidis <eiosifidis@gnome.org>
Felipe Borges <felipeborges@gnome.org>
Kalev Lember <klember@redhat.com>
Marek Cernocky <marek_cernocky@conel.cz>
Mingcong Bai <jeffbai@aosc.xyz>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Rico Tzschichholz <ricotz@ubuntu.com>
Stas Solovey <whats_up@tut.by>
Yi-Jyun Pan <pan93412@gmail.com>

3.29.2 - May 21, 2018
=====================

Changes since 3.28.4

  - Don't recreate bridge network when already existent
    (making ip address/mac address persistent)
  - Show a list of recommended OSes and a show more button to list all
  - Show an empty-state page when there's no downloads to list
  - Wrap views in a backgrounded widget so we don't have black borders
  - Delete stored credentials when deleting a machine
  - Don't keep credentials around when authentication fails
  - Introduce RDP support
  - Added/updated/fixed translations:
    - Friulian
    - Spanish
    - Czech
    - Slovenian
    - Indonesian
    - Romanian

Dependencies changed:

    - Depend on Gtk-frdp (wrapper around freerdp)

All contributors to this release:

Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Marek Cernocky <marek_cernocky@conel.cz>
Matej Urbančič <mateju@svn.gnome.org>
Piotr Drąg <piotrdrag@gmail.com>

3.28.4 - May 09, 2018
=====================

Changes since 3.28.3

  - Revert filter of incompatible OS supported architectures

All contributors to this release:

Felipe Borges <felipeborges@gnome.org>

3.28.3 - May 07, 2018
=====================

Changes since 3.28.2

  - Added/updated/fixed translations
    - Slovenian
    - Greek
    - Romanian
    - Brazilian Portuguese

All contributors to this release:

Daniel Șerbănescu <daniel@serbanescu.dk>
Efstathios Iosifidis <eiosifidis@gnome.org>
Felipe Borges <felipeborges@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Rafael Fontenelle <rafaelff@gnome.org>

3.28.2 - Apr 10, 2018
=====================

Changes since 3.28.1

  - Revert "Inhibit suspend" functionality due to breakage of
    string freeze break.

Piotr Drąg <piotrdrag@gmail.com>

3.28.1 - Apr 09, 2018
=====================

Changes since 3.28.0

  - Offer to download only supported architectures
  - Inhibit suspending in various long lasting operations:
    - Downloading media
    - Installing (under-construction)
    - Cloning machine
  - Select PUBLIC by default in the Shared Folder popover
  - Select box on child-activated in the icon view
  - Added/updated/fixed translations
    - Russian
    - Croatian
    - Afrikaans
    - German
    - Galician
    - Chinese (China)
    - Slovenian
    - Belarusian
    - Czech

Felipe Borges <felipeborges@gnome.org>
Florian Heiser <gnu.l10n.de@gmail.com>
Fran Dieguez <fran@openhost.es>
gogo <trebelnik2@gmail.com>
Marek Cernocky <marek_cernocky@conel.cz>
Matej Urbančič <mateju@svn.gnome.org>
Mingcong Bai <jeffbai@aosc.xyz>
Pieter Schalk Schoeman <pieter@sonbesie.co.za>
Stas Solovey <whats_up@tut.by>
Yuras Shumovich <shumovichy@gmail.com>

3.28.0 - Mar 12, 2018
=====================

Changes since 3.27.92

  - Resolve custom downloadable OSes logos
  - Add EndlessOS and Pop!_OS logos
  - Added/updated/fixed translations
    - Hungarian
    - French
    - Danish
    - British English
    - Swedish

All contributors to this release:

Alan Mortensen <alanmortensen.am@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Bruce Cowan <bruce@bcowan.eu>
Felipe Borges <felipeborges@gnome.org>
Gábor Kelemen <kelemeng@openscope.org>
Guillaume Bernard <associations@guillaume-bernard.fr>
Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>

3.27.92 - Mar 04, 2018
======================

Changes since 3.27.90

  - Drop autotools (now we build with meson only)
  - Don't offer EOL operating systems for download
  - Handle mime-types (allows opening ISOs w/ Boxes from file manager)
  - Fix window grouping for multiple windows
  - Fix showing logo while downloading an image from the internet
  - Download logos from new source (gitlab.gnome.org/gnome/gnome-boxes-logos)
  - Add FreeDOS logo
  - Added/updated/fixed translations
    - Spanish
    - Friulian
    - Brazilian Portuguese
    - Polish
    - Indonesian
    - Turkish
    - Chinese (Taiwan)
    - Galician
    - German
    - Croatian
    - Serbian
    - Serbian Latin
    - Dutch
    - Hungarian
    - Kazakh
    - Korean
    - Italian
    - Slovak
    - Lithuanian
    - Czech

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <balazs@urbalazs.hu>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Emin Tufan Çetin <etcetin@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
gogo <trebelnik2@gmail.com>
Iñigo Martínez <inigomartinez@gmail.com>
Isaac F. Ferreira Filho <isaacmob@riseup.net>
Jeremy Bicha <jbicha@ubuntu.com>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Милош Поповић <gpopac@gmail.com>
Марко Костић <marko.m.kostic@gmail.com>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Milo Casagrande <milo@ubuntu.com>
Nathan Follens <nathan@anche.no>
Piotr Drąg <piotrdrag@gmail.com>
Seong-ho Cho <shcho@gnome.org>

3.27.90 - Feb 05, 2018
======================

Changes since 3.27.4

  - Migrated the code base to gitlab.gnome.org
  - Various documentation updates
  - Fix notification dismissal that prevented Boxes from exiting
  - Introduce selection mode keybord shortcuts
  - Remember user credentials (keyring) for remote machines
  - Show "oops page" when failing to connect to the backend
  - Add DnD file transfer UI (visual feedback)
  - Add Transfers popover to keep track of ongoing file transfers
  - Many wizard UI/UX changes such as:
    - Make "Select a File" a menu entry
    - Introduce the "Download an OS" section
    - Make it possible to search for a downloadable OS
    - Offer to download an ISO if none is found in the filesystem
  - Added/updated/fixed translations:
    - Finnish
    - Hungarian
    - Catalan
    - German
    - Slovak
    - Indonesian
    - Brazilian Portuguese
    - Friulian
    - Polish

All cintributors to this release:

Balázs Meskó <meskobalazs@fedoraproject.org>
Dušan Kazik <prescott66@gmail.com>
Ernestas Kulik <ernestask@gnome.org>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Gil Forcada <gil.gnome@gmail.com>
Iñigo Martínez <inigomartinez@gmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Tim Sabsch <tim@sabsch.com>
Visarion Alexandru <viorel.visarion@gmail.com>

3.27.4 - Jan 09, 2018
=====================

Changes since 3.27.3

  - Various build (meson) fixes and improvements
  - Port of the IconView to GtkFlowBox
  - Fix notification dismissal at application shutdown
  - Added/updated/fixed translations:
    - Russian
    - Spanish
    - Serbian
    - Slovenian
    - Friulian

Dependencies changed:

  - libgd (dropped)

All contributors to this release:

Борисав Живановић <borisavzivanovic@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Debarshi Ray <debarshir@gnome.org>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Iñigo Martínez <inigomartinez@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Pavel Grunt <pavelgrunt@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Stas Solovey <whats_up@tut.by>

3.27.3 - Dec 06, 2017
=====================

Changes since 3.27.2

  - Use a more convenient developers.redhat.com API end-point
  - Port the Downloaded list to GtkListBox
  - Introduce a flat styling for the wizard rows
  - Set a user-agent when using the network
  - Make the wizard content scrollable (fit small screens)
  - Offer other operating systems for download
  - Added/updated/fixed translations:
    - Turkish
    - Norwegian
    - Lithuanian
    - Indonesian
    - Italian

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Debarshi Ray <debarshir@gnome.org>
Federico Bruni <fede@inventati.org>
Felipe Borges <felipeborges@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Nurperi Utlu <utlunurperi@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>

3.27.2 - Nov 13, 2017
=====================

Changes since 3.27.1

  - Sufix screenshot filenames with .png
  - Install appstream metadata at the new right location
  - Fix enable-debug CFlags in the build machinery
  - Don't use the default size as minimum size in the machine setup
  - Added/updated/fixed translations:
    - Nepali
    - Czech
    - Swedish
    - Brazilian Portuguese
    - Polish
    - German
    - Slovak
    - Friulian
    - Norwegian bokmål
    - Italian

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Benoit Gschwind <gschwind@gnu-log.net>
Dušan Kazik <prescott66@gmail.com>
Fabiano Fidêncio <fabiano@fidencio.org>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jeremy Bicha <jbicha@ubuntu.com>
Kjartan Maraas <kmaraas@gnome.org>
Marek Cernocky <marek_cernocky@conel.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Milo Casagrande <milo@ubuntu.com>
Pawan Chitrakar <chautari@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>

3.27.1 - Oct 16, 2017
=====================

Changes since 3.26.0

  - Allow multiple attempts to authenticate a VNC connection
  - Port to the Meson build system
  - Allow keeping the media after installation
  - Fix the logo resolution in the wizard
  - Fix target dev name for floppy nodes
  - Allow resize of disks with snapshots
  - Make the wizard look closer to the mockups
  - Introduce RHEL Developer Suite integration
  - Added/updated/fixed translations:
    - Swedish
    - German
    - Greek
    - Russian
    - Catalan (Valencian)
    - Polish

Dependencies changed:

- libosinfo >= 1.10
- gtk+ >= 3.22.20
- json-glib-1.0 (NEW)
- webkit2gtk-4.0 (NEW)

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Andre Klapper <a9016009@gmx.de>
Christophe Fergeau <cfergeau@redhat.com>
Debarshi Ray <debarshir@gnome.org>
Efstathios Iosifidis <eiosifidis@gnome.org>
Fabiano Fidêncio <fabiano@fidencio.org>
Felipe Borges <felipeborges@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rico Tzschichholz <ricotz@ubuntu.com>
Visarion Alexandru <viorel.visarion@gmail.com>
Xavi Ivars <xavi.ivars@gmail.com>
Yuri Myasoedov <ymyasoedov@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.26.0 - Sept 11, 2017
======================

Changes since 3.25.91

  - Fix Icon in Nepali translation
  - Correct docs for the download method
  - Added/updated/fixed translations:
    - Czech
    - Galician
    - Polish
    - Serbian
    - Chinese (Taiwan)
    - Catalan
    - Brazilian
    - Slovak
    - Nepali
    - Dutch
    - French
    - Danish
    - Latvian
    - German
    - Italian
    - Finnish
    - Belarusian
    - Korean
    - Hungarian
    - Basque
    - Swedish
    - British English

All contributors to this release:

Alain Lojewski <allomervan@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Ask Hjorth Larsen <asklarsen@gmail.com>
Balázs Úr <urbalazs@gmail.com>
Bruce Cowan <bruce@bcowan.me.uk>
Debarshi Ray <debarshir@gnome.org
Dušan Kazik <prescott66@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Gábor Kelemen <kelemeng@openscope.org>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
hanniedu <hannie@ubuntu-nl.org>
Mario Blättermann <mario.blaettermann@gmail.com>
Milo Casagrande <milo@ubuntu.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Seong-ho Cho <shcho@gnome.org>
Yuras Shumovich <shumovichy@gmail.com>

3.25.91 - Aug 23, 2017
======================

Changes since 3.25.90

 - Fixes in the gettext machinery
 - Added/updated/fixed translations:
   - Czech
   - Galician
   - Polish
   - Serbian
   - Chinese (Taiwan)

Dependencies changed:

- glib >= 2.52
- libsoup >= 2.44

All contributors to this release:

Cheng-Chia Tseng <pswo10680@gmail.com>
Debarshi Ray <debarshir@gnome.org>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>
Marek Cernocky <marek_cernocky@conel.cz>
Piotr Drąg <piotrdrag@gmail.com>

3.25.90 - Aug 07, 2017
======================

Changes since 3.25.4

 - Migrate from Intltool to Gettext
 - Deattach notifications after timeout
 - Update TODO file
 - Added/updated/fixed translations:
   - Friulian
   - Indonesian
   - Catalan
   - German
   - Lithuanian
   - Spanish
   - Nepali
   - Kazakh
   - Turkish
   - Norwegian bokmål
   - Slovenian
   - Czech

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jordi Mas <jmas@softcatala.org>
Kjartan Maraas <kmaraas@gnome.org>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Marek Cernocky <marek_cernocky@conel.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Pawan Chitrakar <chautari@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Thiago Mendes <tribeirom@gmail.com>
Zeeshan Ali <zeenix@gmail.com>

3.25.4 - Jul 17, 2017
=====================

Changes since 3.25.3

 - Suggest 5GM RAM and 20GB of free disk in Help docs
 - Add libtracker-sparql-2.0 to build checks
 - Use GLib.uuid_string_random instead of libuuid
 - Add DBus activatable service file
 - Added/updated/fixed translations:
   - Spanish
   - Friulian
   - Hungarian
   - Belarusian
   - Polish
   - Catalan
   - Indonesian
   - Slovak

Dependencies changed:

 - Drop libuuid

All contributors to this release:

Balázs Meskó <meskobalazs@fedoraproject.org>
Carlos Garnacho <carlosg@gnome.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jordi Mas <jmas@softcatala.org>
kerryc <kerryc@riseup.net>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Yuras Shumovich <shumovichy@gmail.com>

3.25.3 - Jun 19, 2017
=====================

Changes since 3.25.2

 - Add screenshot option
 - Introduce shared folders
 - Mark schema strings for translation
 - Added/updated/fixed translations:
   - Turkish
   - Serbian
   - German
   - Spanish
   - Friulian
   - Indonesian
   - Kazakh
   - Norwegian

All contributors to this release:

Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Furkan Ahmet Kara <furkanahmetkara.fk@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Марко Костић <marko.m.kostic@gmail.com>
Mario Blättermann <mario.blaettermann@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Visarion Alexandru <viorel.visarion@gmail.com>

3.25.2 - May 22, 2017
=====================

Changes since 3.25.1

 - Port auth notifications to Gtk+ revealer
 - Update help documentation to 3.24
 - Let GtkApplication load the appmenu
 - Added/updated/fixed translations:
   - Indonesian
   - Brazilian Portuguese
   - Slovenian
   - Spanish
   - German
   - Hungarian

Dependencies changed:

- vala >= 0.36.0

All contributors to this release:

Balázs Úr <urbalazs@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Mario Blättermann <mario.blaettermann@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Michael Hill <mdhillca@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>

3.25.1 - Apr 24, 2017
=====================

Changes since 3.24.0:

 - Do not expose "Read only" VNC option
 - Keep aspect ration when scaling VNC display
 - Drop "maximum" text at the properties dialog
 - Allow sending ctrl+alt+del keys
 - Set VM to run in background during install
 - Do not transfer open_fd() ownership in spice-session
 - Added/updated/fixed translations:
   - Greek
   - French
   - Friulian
   - Belarusian

Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Guillaume Bernard <contact.guib@guillaume-bernard.fr>
Julius Härtl <jus@bitgrid.net>
Pavel Grunt <pgrunt@redhat.com>
Soeren Grunewald <soeren.grunewald@desy.de>
Tom Tryfonidis <tomtryf@gnome.org>
Yuras Shumovich <shumovichy@gmail.com>

3.24.0 - Mar 20, 2017
=====================

Changes since 3.23.91:

 - Added/updated/fixed translations:
   - French
   - Chinese (Taiwan)
   - Slovenian
   - Korean
   - Danish
   - Galician
   - Slovak
   - Italian
   - Russian
   - Belarusian
   - Turkish
   - Latvian

All contributors to this release:

Ask Hjorth Larsen <asklarsen@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Çağatay Yiğit Şahin <cyigitsahin@outlook.com>
Dušan Kazik <prescott66@gmail.com>
Fran Dieguez <frandieguez@gnome.org>
Guillaume Bernard <contact.guib@guillaume-bernard.fr>
Matej Urbančič <mateju@svn.gnome.org>
Milo Casagrande <milo@ubuntu.com>
Muhammet Kara <muhammetk@gmail.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Seong-ho Cho <shcho@gnome.org>
Yuras Shumovich <shumovichy@gmail.com>
Yuri Myasoedov <ymyasoedov@yandex.ru>

3.23.91 - Feb 27, 2017
======================

Changes since 3.23.4.1:

 - Fix build with vala >= 0.36
 - Added/updated/fixed translations:
  - Friulian
  - Finnish
  - Czech
  - Swedish
  - Basque
  - Norwegian
  - German
  - Indonesian
  - Spanish
  - Danish
  - Kazakh
  - Chinese (Taiwan)
  - Italian
  - Brazilian Portuguese
  - Ukrainian
  - Lithuanian
  - Hungarian

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Ask Hjorth Larsen <asklarsen@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Meskó <meskobalazs@fedoraproject.org>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Flo H <gnu.l10n.de@gmail.com>
Gianvito Cavasoli <gianvito@gmx.it>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kjartan Maraas <kmaraas@gnome.org>
Kukuh Syafaat <syafaatkukuh@gmail.com>
Marek Černocký <marek@manet.cz>
Мирослав Николић <miroslavnikolic@rocketmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
 
3.23.4.1 - Feb 1, 2017
======================

Unplanned release to fix a possibly exploitable vulnerability.

Changes since 3.23.4:

- Fix translator comments.
- Port BoxesNotification from GdNotification to GtkRevealer.
- Store the user password in the keyring during an express installation.
- Use unicode in a new translatable string.
- Added/updated/fixed translations:
  - Polish
  - Danish

Dependencies changed:

libsecret-1 (new dependency)

All contributors to this release:

Ask Hjorth Larsen <asklarsen@gmail.com>
Debarshi Ray <debarshir@gnome.org>
Felipe Borges <felipeborges@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>

3.23.4 - Jan 18, 2017
=====================

Changes since 3.23.3:

- Add option groups for spice-gtk, gtk-vnc and gtk+.
- Fix typo in debug string in vm-configurator.
- Withdraw system notifications on exit

Dependencies changed:

spice-gtk >= 0.32

All contributors to this release:

Debarshi Ray <debarshir@gnome.org>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Fábio Nogueira <fnogueira@gnome.org>
Felipe Borges <felipeborges@gnome.org>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Rafael Fontenelle <rafaelff@gnome.org>
Visarion Alexandru <viorel.visarion@gmail.com>

3.23.3 - Dec 13, 2016
=====================

Changes since 3.23.2:

- Don't sanitize oVirt URI in ovirt-brokers.
- Added/updated/fixed translations:
  - Hungarian
  - Kazakh
  - Swedish

Dependencies changed:

govirt >= 0.3.4

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Balázs Meskó <meskobalazs@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Felipe Borges <felipeborges@gnome.org>

3.23.2 - Nov 21, 2016
=====================

Changes since 3.22.0:

- All fixes in 3.22.1, 3.22.2 and 3.22.3.
- Allow sending CTRL+ALT+F3 key combo to guest (for reaching TTY3) shortcut.
- Don't autosave live & under-installation VMs.
- Use new Gtk+ CSS property names.
- Re-layout custom osinfo db to comply with new libosinfo format.
- Use latest libgd.
- Fix some user-visible strings.
- Allow redirection of USB mouse and keyboard if 'BOXES_USB_REDIR_ALL'
  environment variable is set.
- Make use of unicode in translatable strings.
- Added/updated/fixed translations:
  - Catalan
  - Chinese (Taiwan)
  - Czech
  - Finnish
  - French
  - Friulian
  - German
  - Hungarian
  - Italian
  - Norwegian bokmål
  - Polish
  - Spanish

Dependencies changed:

Require Gtk+ >= 3.19.8

All contributors to this release:

Balázs Meskó <meskobalazs@gmail.com>
Cédric Bosdonnat <cbosdonnat@suse.com>
Charles Monzat <superboa@hotmail.fr>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Gianvito Cavasoli <gianvito@gmx.it>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Jürg Billeter <j@bitron.ch>
Kjartan Maraas <kmaraas@gnome.org>
Marek Cernocky <marek_cernocky@conel.cz>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Quey-Liang Kao <s101062801@m101.nthu.edu.tw>
Rico Tzschichholz <ricotz@ubuntu.com>
Sebastien Nobert <sebastien.nobert@gmail.com>
Thomas Hindoe Paaboel Andersen <phomes@gmail.com>
Visarion Alexandru <viorel.visarion@gmail.com>
YunQiang Su <yqsu@src.gnome.org>
Zeeshan Ali <zeenix@gmail.com>

3.22.0 - Sep 20, 2016
=====================

Added/updated/fixed translations:
  - Basque
  - Catalan
  - Czech
  - Greek
  - Italian
  - Ukrainian

All contributors to this release:

Daniel Korostil <ted.korostiled@gmail.com>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jordi Mas <jmas@softcatala.org>
Marek Černocký <marek@manet.cz>
Milo Casagrande <milo@ubuntu.com>
Tom Tryfonidis <tomtryf@gnome.org>

3.21.92 - Sep 13, 2016
======================

Changes since 3.21.3:

- Limit concurrent notifications to 5.
- Fix check for "our" VMs.
- Only update configuration of "our" VMs on startup.
- Use URL in strings instead of URI.
- Stricter validation of SPICE URLs.
- Inform user if SPICE agent is not installed in guest.
- Enable USB redirection for VMs running in background.
- Drop redundant check for QXL support by guest OS.
- Drop now redundant USB redirection and smartcard hacks for < Qemu 1.3.
- Fix "Keyboard Shortcuts" placement and capitalization in global menu.
- Distribute README.logos.
- Added/updated/fixed translations:
  - Add Swedish help translation
  - Brazilian Portuguese
  - British English
  - Czech
  - Danish
  - Dutch
  - Finnish
  - French
  - Friulian
  - Galician
  - German
  - Hebrew
  - Hungarian
  - Indonesian
  - Kazakh
  - Korean
  - Latvian
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Portuguese
  - Russian
  - Serbian
  - Slovak
  - Spanish
  - Swedish

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Andika Triwidada <atriwidada@gnome.org>
Ask Hjorth Larsen <asklarsen@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <urbalazs@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Charles Monzat <superboa@hotmail.fr>
Daniel Mustieles <daniel.mustieles@gmail.com>
David King <amigadave@amigadave.com>
Dušan Kazik <prescott66@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Flo H <gnu.l10n.de@gmail.com>
Fran Dieguez <fran.dieguez@mabishu.com>
Hannie Dumoleyn <hannie@ubuntu-nl.org>
Ingmars Dirins <melhiors14@gmail.com>
Jeremy Bicha <jbicha@ubuntu.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Michael Catanzaro <mcatanzaro@gnome.org>
Pavel Grunt <pgrunt@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Radu Stochitoiu <radu.stochitoiu@gmail.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Sebastian Rasmussen <sebras@gmail.com>
Seong-ho Cho <shcho@gnome.org>
Stas Solovey <whats_up@tut.by>
Tiago Santos <tiagofsantos81@sapo.pt>
Visarion Alexandru <viorel.visarion@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.21.3 - Jun 20, 2016
=====================

Changes since 3.20.0, that  were not included in any subsequent stable releases:

- Add cloning option.
- Remove "Pause" action from the popover menu, in display mode.
- Add a "Restart" action in the display mode popover-menu.
- Preserve order of boxes over restarts.
- Don't use characters in hostnames that Microsoft Windows find offensive.
- Don't allow launching or saving of under-import VMs.
- Handle spice+unix SPICE URLs.
- Remember 'read-only' property for VNC boxes.
- Ensure new VMs do not expose the SPICE connection to all users.
- Ensure Boxes can connect to local VMs through file descriptor.
- Ensure "Back" button is not made sensitive on the first wizard page.
- Don't launch polkit dialog on startup.
- Sort medias in wizard by vendor.
- Sort medias in wizard in (intended) reverse-chronological order.
- Fix a test for availability of bridge networking.
- Support non-srcdir builds.
- Added/updated/fixed translations:
  - Basque
  - Brazilian Portuguese
  - Catalan
  - Chinese (Taiwan)
  - Friulian
  - German
  - Hungarian
  - Indonesian
  - Occitan
  - Portuguese
  - Simplified Chinese (zh_CN)
  - Slovak
  - Slovenian
  - Spanish
  - Turkish
  - Ukrainian

All contributors to this release:

Alain Kalker <a.c.kalker@gmail.com>
Andika Triwidada <atriwidada@gnome.org>
Balázs Meskó <meskobalazs@gmail.com>
Cédric Valmary <cvalmary@yahoo.fr>
Cheng-Chia Tseng <pswo10680@gmail.com>
Christian Kirbach <Christian.Kirbach@gmail.com>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dingzhong Chen <wsxy162@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Emmanuele Bassi <ebassi@gnome.org>
Enrico Nicoletto <liverig@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Fabio Tomat <f.t.public@gmail.com>
Flo H <gnu.l10n.de@gmail.com>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jordi Mas <jmas@softcatala.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Muhammet Kara <muhammetk@gmail.com>
Pavel Grunt <pgrunt@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Radu Stochitoiu <radu.stochitoiu@gmail.com>
Tiago Santos <tiagofsantos81@sapo.pt>
Visarion Alexandru <viorel.visarion@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.20.0 - Mar 22, 2016
=====================

Changes since 3.19.92:

- Added/updated/fixed translations:
  - Danish
  - Italian
  - Japanese

All contributors to this release:

Ask Hjorth Larsen <asklarsen@gmail.com>
Jiro Matsuzawa <jmatsuzawa@gnome.org>
Milo Casagrande <milo@ubuntu.com>

3.19.92 - Mar 16, 2016
======================

Changes since 3.19.91:

- Fix two crashes in VNC-related code.
- Fix Boxes quitting on failure to connect to default broker (session libvirt).
- Fix removal of box configuration on failure to connect to it's broker.
- Fix regression of configuration data being saved in ~.cache rather than
  ~/.config.
- Fix resource graph drawing code against latest gtk+.
- Fix typo in the title of a keyboard shortcut.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - French
  - German
  - Greek
  - Hungarian
  - Kazakh
  - Korean
  - Lithuanian
  - Portuguese
  - Serbian
  - Serbian Latin
  - Slovenian
  - Spanish
  - Swedish
- A few internal changes.

All contributors to this release:

Alain Lojewski <allomervan@gmail.com>
Alexandre Franke <alexandre.franke@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Artur de Aquino Morais <aamorais93.estudos@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <urbalazs@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Bernd Homuth <dev@hmt.im>
Daniel Mustieles <daniel.mustieles@gmail.com>
Duarte Loreto <happyguy_pt@hotmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Martin Srebotnjak <miles@filmsi.net>
Seong-ho Cho <shcho@gnome.org>
Thomas Hindoe Paaboel Andersen <phomes@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Милош Поповић <gpopac@gmail.com>

3.19.91 - Mar 02, 2016
======================

Changes since 3.19.4:

- Add context to some translated strings.
- Fix AppData file.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Chinese (Taiwan)
  - Czech
  - Dutch
  - Finnish
  - Galician
  - German
  - Hebrew
  - Hungarian
  - Kazakh
  - Latvian
  - Norwegian bokmål
  - Occitan
  - Polish
  - Serbian
  - Slovak
  - Spanish
  - Swedish
  - Ukrainian

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Balázs Meskó <meskobalazs@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Cédric Valmary <cvalmary@yahoo.fr>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Fran Dieguez <fran.dieguez@mabishu.com>
Gábor Kelemen <kelemeng@openscope.org>
hanniedu <lafeber-dumoleyn2@zonnet.nl>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rffontenelle@gmail.com>
Richard Hughes <richard@hughsie.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Tom Tryfonidis <tomtryf@gnome.org>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.19.4 - Jan 18, 2016
=====================

Changes since 3.19.3:

- Automatically create a snapshot after a VM is installed, to serve as a reset
  mechanism.
- Fix translation comments in UI files.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Czech
  - Finnish
  - German
  - Greek
  - Japanese
  - Lithuanian
  - Norwegian bokmål

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Fábio Nogueira <fnogueira@gnome.org>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jiro Matsuzawa <jmatsuzawa@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Tom Tryfonidis <tomtryf@gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.19.3 - Dec 16, 2015
=====================

Changes since 3.19.1:

- On restoring a libvirt VM from saved state, try to sync the guest clock with
  host clock. This requires Qemu guest agent in the VM.
- Keyboard shorcuts:
  - Add shortcuts help window.
  - Fix shortcuts for RTL locales.
  - Drop alt+a shortcut.
- Add kudos in appdata file.
- Added/updated/fixed translations:
  - Finnish
  - Hebrew
  - Hungarian
  - Kazakh
  - Lithuanian
  - Norwegian bokmål
  - Portuguese
  - Slovak
  - Spanish
  - Swedish

Dependencies changed:

- Require gtk+ >= 3.19.4
- Require libvirt-glib >= 0.2.3

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Balázs Meskó <meskobalazs@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kjartan Maraas <kmaraas@gnome.org>
Pedro Albuquerque <palbuquerque73@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Sebastian Rasmussen <sebras@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.19.1 - Oct 27, 2015
=====================

Changes since 3.17.92:

- All changes in 3.18.0 and 3.18.1 releases.
- Add note about spice-vdagent in help pages.
- Add missing accessibility labels on buttons.
- Better accessibility label for 'Exit fullscreen' button.
- Fix the issue of VM not starting if bridge networking is no longer available.
- Added/updated/fixed translations:
  - Arabic
  - Basque
  - Czech
  - Danish
  - Dutch
  - Finnish
  - Greek
  - Romanian
  - Serbian
  - Swedish
  - Ukrainian

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Șerbănescu <daniel@serbanescu.dk>
Federico Bruni <fede@inventati.org>
Hannie Dumoleyn <hannie@ubuntu-nl.org>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kenneth Nielsen <k.nielsen81@gmail.com>
Khaled Hosny <khaledhosny@eglug.org>
Marek Černocký <marek@manet.cz>
Petr Kovar <pkovar@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Tom Tryfonidis <tomtryf@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Милош Поповић <gpopac@gmail.com>

3.17.92 - Sep 16, 2015
======================

Changes since 3.17.91:

- Don't show launching status in overview.
- Theme:
  - Drop most of custom CSS.
  - Fix and improve custom CSS.
- Add some comments for translators.
- Added/updated/fixed translations:
  - Catalan
  - Finnish
  - French
  - Galician
  - German
  - Greek
  - Indonesian
  - Italian
  - Kazakh
  - Korean
  - Latvian
  - Lithuanian
  - Norwegian bokmål
  - Portuguese
  - Spanish
  - Turkish

All contributors to this release:

Alexandre Franke <alexandre.franke@gmail.com>
Andika Triwidada <andika@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Bernd Homuth <dev@hmt.im>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fran Dieguez <fran@openhost.es>
Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Jordi Mas <jmas@softcatala.org>
Kjartan Maraas <kmaraas@gnome.org>
Lapo Calamandrei <calamandrei@gmail.com>
Luca Ferretti <lferrett@gnome.org>
Osman Karagöz <osmank3@gmail.com>
Pedro Albuquerque <palbuquerque73@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Seong-ho Cho <shcho@gnome.org>
Tom Tryfonidis <tomtryf@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.17.91 - Sep 01, 2015
======================

Changes since 3.17.90:

- Add a list view.
- Many internal cleanups and fixes.
- Added/updated/fixed translations:
  - Catalan
  - Chinese (Taiwan)
  - French
  - Galician
  - Greek
  - Hebrew
  - Hungarian
  - Japanese
  - Lithuanian
  - Polish
  - Portuguese
  - Slovak
  - Spanish

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Alexandre Franke <alexandre.franke@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Fran Dieguez <fran@openhost.es>
Gábor Kelemen <kelemeng@openscope.org>
Hajime Taira <htaira@redhat.com>
Jordi Mas <jmas@softcatala.org>
Pedro Albuquerque <palbuquerque73@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Tom Tryfonidis <tomtryf@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.17.90 - Aug 18, 2015
======================

Changes since 3.17.4:

- Add toggle buttons to titlebar to easily filter the main view to show:
  - All
  - Remote or
  - Local boxes
- Show IP/hostname of remote libvirt and oVirt boxes in main icon view.
- Improve accessibility
  - Add mnemonics to various UI components.
  - Allow switching settings pages through Alt+Left/Right.
- Fix SPICE connection leaks.
- Better handle box launch cancellation.
- Port/fix tests.
- Add tests for Fedora 21 and 22 express installation.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Catalan
  - Czech
  - Esperanto
  - Greek
  - Norwegian bokmål
  - Portuguese
  - Slovak
  - Spanish

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Felipe Braga <fbobraga@gmail.com>
Jordi Mas <jmas@softcatala.org>
Kjartan Maraas <kmaraas@gnome.org>
Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Marek Černocký <marek@manet.cz>
Pedro Albuquerque <palbuquerque73@gmail.com>
Vladimir Benes <benesv@email.cz>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.17.4 - July 22, 2015
======================

Changes since 3.17.3:

- Show guest IP on 'General' page for local VMs.
- Show IP/hostname of remote desktop boxes in main icon view.
- Add a switch to allow disabling autosaving for a box in the 'System' page of
  properties window.
- Improved
  - favourite emblem.
  - stopped boxes and fallback, thumbnails.
- Fix the issue of secondary windows ending up in weird unusable state on
  closing of properties window over main window.
- More reliable setup of storage pool.
- Fix import of system libvirt VMs that use device nodes as main disk.
- Fix crash on failure to import system libvirt VMs.
- Fix transparency of underflow and overflow indicators.
- Make values of text properties, selectable.
- Only autosave VMs on default connection.
- Smaller markers on resource properties' scales.
- Avoid some criticals warnings on console.
- More vertical spacing between resource scales in customization view.
- More reliable test for raw images.
- Fix alignment of resource properties' values.
- Prefix display properties' labels with "Display " to make the context clear.
- Added/updated/fixed translations:
  - Hebrew
  - Hungarian
  - Portuguese
  - Slovak
  - Spanish

Dependencies changed:

- Require libvirt-glib >= 0.2.2

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Balázs Úr <urbalazs@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Pedro Albuquerque <palbuquerque73@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.17.3 - June 24, 2015
======================

Changes since 3.17.2:

- Add CD-ROM device to imported VMs too.
- Make storage pool autostart on boot.
- Fix issue of "ghost" VMs appearing when going back and forth in wizard.
- Automated tests
  - Port to new UI.
  - Add a test for sending key combos to box.
  - Speed up many tests.
  - Improve reliability of many tests.
- Added/updated/fixed translations:
  - Czech
  - German
  - Hungarian
  - Occitan
  - Turkish

Dependencies changed:

- Require libvirt-glib >= 0.2.1

All contributors to this release:

Balázs Úr <urbalazs@gmail.com>
Benjamin Steinwender <b@stbe.at>
Cédric Valmary <cvalmary@yahoo.fr>
Marek Černocký <marek@manet.cz>
Necdet Yücel <necdetyucel@gmail.com>
Vladimir Benes <benesv@email.cz>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.17.2 - May 28, 2015
=====================

Changes since 3.17.1:

- Adapt to new libosinfo API to be able to offer express installation for
  Fedora 21 and 22.
- Display system notification on install completion.
- Assign 2G RAM by default to new VMs.
- Stack up notifications vertically, instead of displaying them in the same
  place and ending up with all but one being obstructed.
- Asynchronously setup non-default sources at startup to not block UI.
- Look for bridge.conf in /etc/qemu-kvm directory too.
- Selection bar
  - Drop "Properties" button
  - Move "Delete" button at the end and apply destructive theme to it.
- Adapt to Gtk+ Vala API change.
- Added/updated/fixed translations:
  - Indonesian
  - Italian
  - Simplified Chinese
  - Slovak
  - Spanish
  - Turkish

Dependencies changed:

- Require libosinfo >= 0.2.12
- Require Vala >= 0.28.0.16

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dean Chen <wsxy162@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Federico Bruni <fede@inventati.org>
Muhammet Kara <muhammetk@gmail.com>
Will Thompson <will@willthompson.co.uk>
Zamani Karmana <zamani.karmana@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.17.1 - Apr 28, 2015
=====================

Changes since 3.16.0:

- Add "Restart" button to properties view, for libvirt machines.
- Add "Force shutdown" option in context and hamburger menu.
- Provide a symbolic icon.
- Dismiss properties window on restart and force shutdown.
- Check files' extensions in a case-insensitive way. This fixes support for
  latest Windows ISOs that have filenames in all caps.
- Revert the changes to only add USB input devices if guest was known to support
  them. I-e always add USB input devices to new VMs.
- Ensure "Saving…" status goes away on saving operation failure.
- Only autosave running machines.
- Don't show "Delete" option in the hamburger menu. Showing it there when box is
  in foreground, looks odd.
- Other minor UI improvements.
- All code changes included in 3.16.1.
- Added/updated/fixed translations:
  - Czech
  - Greek

All contributors to this release:

Anders Jonsson <anders.jonsson@norsjovallen.se>
Christophe Fergeau <cfergeau@redhat.com>
Marek Černocký <marek@manet.cz>
Michael Catanzaro <mcatanzaro@gnome.org>
Tom Tryfonidis <tomtryf@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.16.0 - March 23, 2015
=======================

Changes since 3.15.92:

- Ensure wizard page titles are translated.
- Added/updated/fixed translations:
  - Basque
  - French
  - German
  - Italian
  - Slovenian
  - Spanish

All contributors to this release:

Alex Puchades <alex94puchades@gmail.com>
Bernd Homuth <dev@hmt.im>
Christian Kirbach <Christian.Kirbach@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Matej Urbančič <mateju@svn.gnome.org>
Milo Casagrande <milo@ubuntu.com>

3.15.92 - March 16, 2015
========================

Changes since 3.15.91:

- Notifications no longer timeout when mouse is hovering above them.
- Show correct favorite option in box actions popup menu.
- Only show resolution overlay on actual resize.
- Added/updated/fixed translations:
  - Bosnian
  - Brazilian Portuguese
  - Chinese (Taiwan)
  - Czech
  - Danish
  - Finnish
  - Galician
  - Greek
  - Hebrew
  - Hungarian
  - Kazakh
  - Korean
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Russian
  - Serbian
  - Slovak
  - Spanish
  - Swedish
  - Ukrainian

All contributors to this release:

Alex Puchades <alex94puchades@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Ask Hjorth Larsen <asklarsen@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <urbalazs@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <iefstathios@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Fran Dieguez <fran.dieguez@mabishu.com>
Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Paweł Żołnowski <pawel@zolnowski.name>
Samir Ribic <samir.ribic@etf.unsa.ba>
Seong-ho Cho <shcho@gnome.org>
Stas Solovey <whats_up@tut.by>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.15.91 - March 03, 2015
========================

Changes since 3.15.90:

- Cache express install toggle, username, password and product key for every
  media. No need to keep product keys in a separate file and having to paste
  them each time you create a windows box anymore. \o/
- Beautify
  - USB devices list
  - Snapshots list
  - Resource graphs
- Friendlier 'no snapshots' view.
- Fix invisible separators in menus.
- Fix some label alignments.
- Fix main window hanging in weird blank state on launching new windows.
- Don't present useless 'Open in new window' option when box already has its
  own window.
- Connect to local libvirt machines' SPICE display through a file descriptor.
  While this alone doesn't fix the issue of spice connection being exposed to
  other local users yet, all work in Boxes is done for that.
- Mark a few forgotten UI strings for translation.
- Fix a few UI strings.
- Ellipsize URL in the middle to ensure the hostname and filename are visible.
- Fix criticals and warnings on console.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Chinese (Taiwan)
  - French
  - Galician
  - Greek
  - Hebrew
  - Hungarian
  - Kazakh
  - Russian
  - Slovak
  - Slovenian
  - Spanish
  - Ukrainian

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Alexandre Franke <alexandre.franke@gmail.com>
Balázs Úr <urbalazs@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <iefstathios@gmail.com>
Fran Dieguez <fran.dieguez@mabishu.com>
Jiro Matsuzawa <jmatsuzawa@gnome.org>
Kalev Lember <kalevlember@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Rafael Ferreira <rafael.f.f1@gmail.com>
Stas Solovey <whats_up@tut.by>
Tom Tryfonidis <tomtryf@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Yuri Myasoedov <ymyasoedov@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.15.90 - Feb 18, 2015
======================

Changes since 3.15.4:

- New cool first experience screen.
- Drop intro page from wizard now that we have a cool first experience screen.
- Show step titles rather than numbers in wizard titlebar.
- Ensure titlebar always has a title.
- Inform users how to release the keyboard grab.
- Don't autosave a VM when view/editing its propties.
- Show normal entries for editable string properties instead of our custom
  widget that shows a button to edit.
- Ensure selection-mode exit on launching properties view.
- URL entry in wizard
  - Provide completion based on media URLs known to libosinfo.
  - More thorough validation of local URLs.
  - Don't enable 'Continue' for invalid URLs.
  - Better explain expected URLs.
- Fix and improve snapshot naming.
- Add automated UI tests.
- Import of system libvirt VMs
  - Fix import failing with a weird 'Empty location' error message.
  - Don't needlessly chmod disk (and hence launch annoying policykit dialog).
  - Replace network interface so imported VM can be started successfully.
- Set proper accessible name on windows.
- Added/updated/fixed translations:
  - Czech
  - Hebrew
  - Hungarian
  - Norwegian bokmål
  - Russian
  - Slovak
  - Spanish
- Many other minor UI fixes/improvements.

All contributors to this release:

Balázs Úr <urbalazs@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Pavel Grunt <pgrunt@redhat.com>
Vladimir Benes <benesv@email.cz>
Vladimir Benes <vbenes@redhat.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Yuri Myasoedov <ymyasoedov@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.15.4 - Jan 20, 2015
=====================

Changes since 3.15.3:

- Fix express installation for Fedora and RHEL.
- Fixes to user documentation.
- Added/updated/fixed translations:
  - Basque
  - Brazilian Portuguese
  - Czech
  - Galician
  - German
  - Greek
  - Hebrew
  - Hungarian
  - Japanese
  - Russian
  - Spanish
  - Ukrainian

All contributors to this release:

Balázs Úr <urbalazs@gmail.com>
Bernd Homuth <dev@hmt.im>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Ekaterina Gerasimova <kittykat3756@gmail.com>
Fran Dieguez <fran.dieguez@mabishu.com>
Gabor Kelemen <kelemeng@gnome.hu>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jiro Matsuzawa <jmatsuzawa@gnome.org>
Marek Černocký <marek@manet.cz>
Rafael Ferreira <rafael.f.f1@gmail.com>
Ricardo Barbosa <barbosa.cisco@gmail.com>
Stas Solovey <whats_up@tut.by>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.15.3 - Dec 15, 2014
=====================

Changes since 3.15.2:

- Add a menu button that, when clicked pops up a menu to allow user to send
  system key combos to guest. Currently supported combos are:
  - Ctrl+Alt+Backspace
  - Ctrl+Alt+F1
  - Ctrl+Alt+F2
  - Ctrl+Alt+F7
- Drop all nested dialogs by use of notifications and GtkStack widget. This also
  implies that we now only allow customization of resources before a box is
  created.
- As a USB device is no longer available on the host after being redirected
  to guest, do not present keyboards and mice to user for redirection.
- Place fullscreen button before others in display headerbar. This is for
  consistency with UI mockups and other apps.
- Show correct number of steps in wizard title.
- Show notifications on correct window in properties and wizard views.
- Apply appropriate theme to 'Force shutdown' button.
- Correctly restore notebook page in properties view.
- Don't show empty pages in properties view.
- Bigger properties and wizard windows.
- Add a USB keyboard to new domains.
- Added/updated/fixed translations:
  - Czech
  - Dutch
  - German
  - Hebrew
  - Hungarian
  - Japanese
  - Norwegian bokmål
  - Spanish
  - Turkish

Dependencies changed:

- Require spice-gtk >= 0.27
- Require libusb explicitly

All contributors to this release:

Balázs Úr <urbalazs@gmail.com>
Christian Kirbach <Christian.Kirbach@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Hajime Taira <htaira@redhat.com>
Hannie Dumoleyn <hannie@ubuntu-nl.org>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Muhammet Kara <muhammetk@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Yaşar Şentürk <yasarix@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.15.2 - Nov 25, 2014
=====================

Changes since 3.14.0, that were not included in any subsequent stable releases:

- Properties view rework:
  - Now a separate dialog-like window.
  - Rename 'Login' section to 'General'.
  - Merge 'Display' secion into 'General' section.
  - Replace sidebar with:
    - system stats and controls in the 'System' section.
    - notebook tabs for each section.
  - Remove the vague 'Resize guest' property and instead tell SPICE to always
    try to scale the guest display to allocated size.
  - Remove vague auto-usbredirection option.
  - Replace use of vague term 'Virtualizer' with a more friendlier (and
    consistent) term, 'Broker'.
  - Show broker name instead of URL in properties view but do show broker URL
    in troubleshooting log.
- Wizard view rework:
  - Now a separate dialog-like window.
  - Replace sidebar with step info in the title.
- Present a popover with item-specific actions menu that includes:
  - Open in new window
  - Favorite
  - Pause
  - Delete
  - Properties
  when user:
  - right-clicks (or hits menu key) over an item.
  - clicks a new menu button in display view that replaces the 'properties'
    button.
- Show box display resolution on window resize.
- Automatically save/pause VMs running in background, except for ones under
  express installation.
- Tell SPICE to also upscale the display when needed so that we don't end up
  with a very tiny box display on hidpi screens when no autoresolution is in
  effect (e.g boot loader screen or guests with no qxl/agent).
- Download files to temporary location first. This fixes the issue of Boxes
  trying to use partially downloaded files.
- Set 'USB' bus for mouse since the default PS/2 bus has been reported to be
  much slower.
- Correctly handle the case of user clicking on a box that is being saved.
- Explicitly disable HPET, based on input from libvirt and Qemu developers.
- Report ovirt support in the configure summary.
- Don't spin spinner on paused machines.
- If Boxes is launched with SOUP_DEBUG environment variable set, attach a
  logger to libsoup session.
- Added/updated/fixed translations:
  - Arabic
  - Czech
  - French
  - Greek
  - Hebrew
  - Hindi
  - Italian
  - Kazakh
  - Latvian
  - Norwegian bokmål
  - Simplified Chinese
  - Spanish
  - Telugu
  - Turkish

All contributors to this release:

Abderrahim Kitouni <a.kitouni@gmail.com>
Alain Lojewski <allomervan@gmail.com>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Florian Müllner <fmuellner@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Krishnababu Krothapalli <k.meetme@gmail.com>
Lasse Schuirmann <lasse.schuirmann@gmail.com>
Marek Černocký <marek@manet.cz>
Michael Hill <mdhill@gnome.org>
Milo Casagrande <milo@ubuntu.com>
Mosaab Alzoubi <moceap@hotmail.com>
Osman Karagöz <osmank3@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Rajesh Ranjan <rajeshkajha@yahoo.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Tom Tryfonidis <tomtryf@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
YunQiang Su <yqsu@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.14.0 - Sep 23, 2014
=====================

Changes since 3.14.0:

- Documentation improvements
- Translation updates:
 Bengali (India)
 Chinese
 Czech
 Gujarati
 Hindi
 Korean
 Marathi
 Punjabi
 Serbian
 Spanish
 Swedish
 Ukrainian
 
 
3.13.92 - Sep 16, 2014
======================

Changes since 3.13.91:

- Remove custom code for RTL back icon as gtk+ takes care of that for us now.
- Fix hang on editting of box name.
- Drop some redunant color hardcoding from theme.
- Don't show snapshots option for machines that can't handle snapshots.
- Don't show snapshots option for machines under installation.
- Update CPU model for existing/old machines that were created by Boxes.
- Make empty boxes image more visible.
- Fix alignment of a empty boxes description label.
- Fix Boxes ending up in weird states on hitting back button.
- Close secondary window automatically if its machine
  - stops running.
  - is deleted.
- Update screenshot on machine disconnection.
- Fix checkboxes in selection mode by use of latest libgd.
- Make D-Bus autolaunch work.
- User help:
  - Add page about keyboard shortcuts.
  - Add page about gnome-continuous images.
  - Add page about snapshots.
  - Add pages about various options in properties view.
  - Updates/cleanups.
- Added/updated/fixed translations:
  - Catalan
  - Catalan (Valencian)
  - Czech
  - Finnish
  - French
  - Galician
  - German
  - Greek
  - Hebrew
  - Hungarian
  - Indonesian
  - Kannada
  - Korean
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Russian
  - Slovak
  - Spanish
  - Tamil

Dependencies changed:

- Require gtk+ >= 3.13.2

All contributors to this release:

Andika Triwidada <andika@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <urbalazs@gmail.com>
Carles Ferrando <carles.ferrando@gmail.com>
Christian Kirbach <Christian.Kirbach@gmail.com>
Christophe Fergeau <teuf@gnome.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gil Forcada <gforcada@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Lasse Schuirmann <lasse.schuirmann@gmail.com>
Manoj Kumar Giri <mgiri@redhat.com>
Marek Černocký <marek@manet.cz>
Michael Hill <mdhill@gnome.org>
Paweł Żołnowski <pawel@zolnowski.name>
Seong-ho Cho <shcho@gnome.org>
Shankar Prasad <prasad.mvs@gmail.com>
Shantha kumar <shantha.thamizh@gmail.com>
Timm Bäder <mail@baedert.org>
Tom Tryfonidis <tomtryf@gmail.com>
Ville-Pekka Vainio <vpvainio@iki.fi>
Yosef Or Boczko <yoseforb@src.gnome.org>
Yuri Myasoedov <ymyasoedov@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.13.91 - Sep 02, 2014
======================

Changes since 3.13.90:

- Add ability to create, delete, rename and revert to VM snapshots.
- Don't ignore CDROM devices.
- Fix build against '-Wl,--as-needed' linker flags.
- Better error message on failure to start a VM.
- Fix a a regression that broke showing of 'empty boxes' UI.
- Alignment fixes.
- Added/updated/fixed translations:
  - Assamese
  - Brazilian Portuguese
  - Chinese (Taiwan)
  - Czech
  - French
  - Greek
  - Hebrew
  - Japanese
  - Norwegian bokmål
  - Spanish
  - Traditional Chinese (Hong Kong and Taiwan)

All contributors to this release:

Alexandre Franke <alexandre.franke@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Mustieles <dnaiel.mustieles@gmail.com>
Dominique Leuenberger <dimstar@opensuse.org>
Enrico Nicoletto <liverig@gmail.com>
Hajime Taira <htaira@redhat.com>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Maria  Mavridou <mavridou@gmail.com>
Nilamdyuti Goswami <ngoswami@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Timm Bäder <mail@baedert.org>
Tom Tryfonidis <tomtryf@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.13.90 - Aug 19, 2014
======================

Changes since 3.13.4:

- Allow running boxes in their own seperate windows.
- Handle initrd script injection method and therefore support for Debian express
  installation through libosinfo >= 0.2.11.
- Introduce media downloading feature. You can now enter an HTTP(S) URL to a
  remote media in wizard and Boxes will download it for you.
- Allow editting the machine's name through the title in properties view.
- More keyboard shortcuts:
  - Ctrl+N for launching wizard.
  - Ctrl+F for launching search.
- If internet connection is required for express installation by an OS:
  - ensure it is available before allowing to start express installation.
  - Inform user of this requirement.
- Replace hardcoded colors and background images with theme colors.
- Menu button in selection mode disappeared recently due to a gtk+ bug, lets
  bring it back using a simple work around.
- Fix support for non-kvm hosts.
- Ensure minimum storage for an OS is actually known before using that
  information.
- Improved maximum disk capacity calculation.
- Warn on not enough space on the host to inscrease maximum disk size of VMs.
- More information in DOAP file
  - module category
  - programming language
- Added/updated/fixed translations:
  - Assamese
  - Basque
  - Brazilian Portuguese
  - Catalan
  - Catalan (Valencian)
  - Greek
  - Japanese
  - Lithuanian
  - Spanish

Dependencies changed:

- libvirt-gconfig >= 0.1.9
- libarchive 3
- Drop runtime depdendency on iso-read command.

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Aurimas Černius <aurisc4@gmail.com>
Carles Ferrando <carles.ferrando@gmail.com>
Daniel Mustieles <dnaiel.mustieles@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Gil Forcada <gforcada@gnome.org>
Hajime Taira <htaira@redhat.com>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Lasse Schuirmann <lasse.schuirmann@gmail.com>
Lasse Schuirmann <lasse@schuirmann.net>
MarMav <mavridou@gmail.com>
ngoswami <ngoswami@redhat.com>
Olav Vitters <olav@vitters.nl>
Piotr Drąg <piotrdrag@gmail.com>
Tom Tryfonidis <tomtryf@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.13.4 - July 21, 2014
======================

Changes since 3.13.3:

- Don't reveal fullscreen topbar on pointer over edges to not interfere with
  user trying to reach WM decorations or apply edge gestures (as used in many
  modern operating systems) in the guest.
- Don't show WM decorations in fullscreen. This is especially ugly in
  classic-mode where we have 3 buttons.
- Drop weird and buggy custom thumbnail hilighting and enable it from gtk+
  through latest libgd.
- Fix max storage capacity going lower than min storage capacity.
- Add F1 shortcut for help.
- Allow selecting file from remote shares (for real this time).
- Drop usage of deprecated APIs.
- Added/updated/fixed translations:
  - Russian
  - Galician
  - Norwegian bokmål
  - Greek

All contributors to this release:

Fran Diéguez <fran.dieguez@mabishu.com>
Kjartan Maraas <kmaraas@gnome.org>
Lasse Schuirmann <lasse.schuirmann@gmail.com>
MarMav <mavridou@gmail.com>
Yuri Myasoedov <ymyasoedov@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.13.3 - Jun 24, 2014
=====================

Changes since 3.11.92 that were not part of subsequent stable releases (3.12.3):

- Remove 'New' entry from global menu. It's context-sensitive and therefore does
  not belong there.
- Specify exact Ctrl key in hint for ungrabbing.
- Don't auto-fullscreen Boxes on launch.
- Added/updated/fixed translations:
  - Basque
  - Belarusian
  - Brazilian Portuguese
  - Catalan (Valencian)
  - Czech
  - Danish
  - French
  - German
  - Greek
  - Hebrew
  - Hungarian
  - Indonesian
  - Khmer
  - Latvian
  - Serbian
  - Slovak
  - Slovenian
  - Spanish
  - Traditional Chinese (Hong Kong and Taiwan)

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Alexandre Franke <alexandre.franke@gmail.com>
Andika Triwidada <andika@gmail.com>
Andre Klapper <a9016009@gmx.de>
Ask H. Larsen <asklarsen@gmail.com>
Carles Ferrando <carles.ferrando@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Cheng-Chia Tseng <pswo10680@gmail.com>
Christian Kirbach <christian.kirbach@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
David King <amigadave@amigadave.com>
Enrico Nicoletto <liverig@gmail.com>
Gábor Kelemen <kelemeng@gnome.hu>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jakub Steiner <jimmac@gmail.com>
Khoem Sokhem <sokhem@open.org.kh>
Lasse Schuirmann <lasse.schuirmann@gmail.com>
Lasse Schuirmann <lasse@schuirmann.net>
marablack3 <marablack3@gmail.com>
Marek Černocký <marek@manet.cz>
Matej Urbančič <mateju@svn.gnome.org>
Michael Catanzaro <mcatanzaro@gnome.org>
Peter Mráz <etkinator@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Ferreira <rafael.f.f1@gmail.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Tom Tryfonidis <tomtryf@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.11.92 - Marc 18, 2014
=======================

Changes since 3.11.91:

- Implement prelight on mouse hover.
- Drop use of deprecated libsoup and gio API.
- Add missing transition animations from properties and wizard pages.
- Provide 'undo' option for live VM autodeletion.
- Make use of system-wide cache for logos and drivers in /var/cache/gnome-boxes.
  This means distributions can now provide logos and drivers as part of Boxes or
  a seperate package.
- Fix recent regressions:
  - Boxes showing a spinner forevever if a commandline argument was passed.
  - An ugly looking border at the right of wizard and properties sidebar.
  - Missing 'back' button on wizard's source URL page.
- Add Alt+Left and Alt+Right shortcuts for going back and forward in different
  views.
- Add Esc shortcut for cancelling wizard.
- Focus 'Create' button on last page of wizard so that user can quickly confirm
  by hitting 'Enter'.
- Existing disk capacity should not be taken into account to calculate the
  maximum value for disk capacity. It should simply be the space available on
  host disk.
- Set disk size in correct units for running machines. We were setting size to
  valuex1024.
- Refresh disk info after resizing disk of running machines. Otherwise we keep
  showing the older value when user goes back to properties.
- Disable 'save on timeout' all together for storage volume size change since
  that easily leads to horrible user experience: You accidently increase the
  capacity to too high value and if you are not quick enough to change it again,
  you'll not be able to correct this ever as we don't support shrinking of
  volumes.
- Allow shrinking storage volumes in wizard.
- Fix a crasher bug.
- Add info about runtime deps and reporting bugs to README.
- Add a HACKING file for people interested in developing Boxes.
- Report progress for non-http(s) downloads as well.
- Don't register for 'x-content/bootable-media' mimetype as in most cases that
  results in user given the option to launch Boxes for an ISO9660 device and
  then Boxes failing to handle it, either because of Qemu being incapable of
  handling CD-ROM devices or user not having read permissions on the device node.
- Don't present CD-ROM and non-readable devices in wizard's source selection.
- Don't try to copy non-existant avatar.
- Remove some obsolete workarounds.
- Added/updated/fixed translations:
  - Catalan
  - Chinese (China)
  - Czech
  - Finnish
  - French
  - Galician
  - German
  - Hebrew
  - Indonesian
  - Korean
  - Latvian
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Portuguese
  - Punjabi
  - Russian
  - Spanish
  - Traditional Chinese (Hong Kong and Taiwan)
  - Ukrainian

Dependencies changed:

Vala >= 0.23.3.1 (i-e latest release)

All contributors to this release:

Andika Triwidada <andika@gmail.com>
A S Alam <apreet.alam@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Ekaterina Gerasimova <kittykat3756@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Fran Dieguez <frandieguez@gnome.org>
Frédéric Péters <fpeters@0d.be>
Joan Montané <jmontane@softcatala.org>
Kjartan Maraas <kmaraas@gnome.org>
Lasse Schuirmann <lasse@schuirmann.net>
Luca Bruno <lucabru@src.gnome.org>
Marek Černocký <marek@manet.cz>
Pau Iranzo <paugnu@gmail.com>
Paweł Żołnowski <pawel@zolnowski.name>
rhaglion <rhaglion@riseup.net>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Seong-ho Cho <darkcircle.0426@gmail.com>
Sphinx Jiang <yishanj13@gmail.com>
Tiagosdot <almosthumane@portugalmail.pt>
Timm Bäder <mail@baedert.org>
Ville-Pekka Vainio <vpvainio@iki.fi>
Wylmer Wang <wantinghard@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Yuri Myasoedov <ymyasoedov@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.11.91 - Marc 04, 2014
=======================

Changes since 3.11.90.1:

- Drop all usage of clutter and clutter-gtk API. \o/
- Show spinner in the middle of the view (rather than on top right) and hide
  all boxes while launching a box.
- Fix issues with searchbar visibility.
- Don't display searchbar on keyboard events until we have boxes to search
  through.
- Correct selection menu theme in topbar.
- Fix regression of disabled selection menu items in topbar.
- Don't show Yes/No dialog, as per HIG.
- Fix the issue of window going beyond the screen when switching to properties
  from display page in fullscreen mode.
- Improved transitions and adjusted transition speeds.
- Fix the issue of 'Continue' button getting insensitive on cancelling the
  wizard at Introduction page.
- Fix regression of file selection & URL entry buttons not appearing in wizard's
  source page.
- Fix regressions related to box thumbnail in properties sidebar.
- Drop gsetting for animation duration. Such a setting, if really needed,
  belongs in Gtk+.
- Add mnemonics to shutdown dialog.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Czech
  - Galician
  - Hebrew
  - Lithuanian
  - Norwegian bokmål
  - Spanish
- Lots of internal clean-ups.

Dependencies changed:

- Drop clutter-gtk
- Drop clutter

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Kjartan Maraas <kmaraas@gnome.org>
Lasse Schuirmann <lasse@schuirmann.net>
Marek Černocký <marek@manet.cz>
Piotr Drąg <piotrdrag@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.11.90.1 - Feb 18, 2014
========================

Changes since 3.11.90:

- Make use of GtkActionBar API.

Dependencies changed:

- gtk+ >= 3.11

3.11.90 - Feb 17, 2014
======================

Changes since 3.11.5.1:

- Show spinner while initializing.
- Avoid warnings on console by only connecting to running displays.
- Remove 'Reboot required' infobar from properties. This infobar was redundant
  and looked ugly. We do present a notification that says basically the same
  thing and it even offers a button to actually restart the machine.
- Instead of spamming 'Reboot required' notifications each time user make a
  change, lets just show it once when user is done changing all the properties.
- Avoid 'Yes' and 'No' buttons as per HIG in 'Reboot required' notification.
- Correct order of buttons in topbar w.r.t Gtk+ 3.11.4.
- Support latest tracker version.
- Move most of the UI setup to .ui files.
- Reduced usage of clutter/clutter-gtk.
- Don't build redundant gd modules.
- Added/updated/fixed translations:
  - Assamese
  - Brazilian Portuguese
  - Czech
  - Galician
  - Hebrew
  - Spanish
  - Tajik
  - Ukrainian

All contributors to this release:

Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Florian Müllner <fmuellner@gnome.org>
Fran Diéguez <fran.dieguez@mabishu.com>
Marek Černocký <marek@manet.cz>
ngoswami <ngoswami@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Ferreira <rafael.f.f1@gmail.com>
Victor Ibragimov <victor.ibragimov@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.11.5.1 - Feb 05, 2014
=======================

Changes since 3.11.5:

- Fix regression of wizard labels not changing style. This regression also meant
  many criticals on the console.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.11.5 - Feb 04, 2014
=====================

Changes since 3.11.4:

- Remove redundant workarounds.
- Reduced usage of libgd and clutter-gtk.
- Added/updated/fixed translations:
  - Assamese
  - Czech
  - Finnish
  - French
  - Galician
  - Hebrew
  - Kannada
  - Norwegian bokmål
  - Tajik
  - Traditional Chinese
- Internal clean-ups.

Dependencies changed:

- valac >= 0.23.1.1

All contributors to this release:

Cheng-Chia Tseng <pswo10680@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Nilamdyuti Goswami <ngoswami@redhat.com>
Shankar Prasad <prasad.mvs@gmail.com>
Victor Ibragimov <victor.ibragimov@gmail.com>
Yosef Or Boczko <yoseforb@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.11.4 - Jan 14, 2014
=====================

Changes since 3.11.3:

- Avoid listing duplicate media in wizard.
- Bundle application data with application binary, using GResource.
- Ensure we use best CPU architecture for new VMs.
- Fix handling of ISO9660 devices by more reliable check for media type.
- Fix the issue of VMs not booting on certain CPUs. The downside is
  that users will now loose VMs' states if they change host CPU.
- Reduced usage of clutter-gtk (Goal is to completely abondon it).
- Add logo for RHEL 7.
- Fixes to build system.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Czech
  - Galician
  - Greek
  - Hebrew
  - Lithuanian
  - Simplified Chinese
  - Spanish
  - Traditional Chinese
- Lots of internal clean-up.

Dependencies changed:

- Require gtk+ >= 2.38

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Balló György <ballogyor@gmail.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Marek Černocký <marek@manet.cz>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Ferreira <rafael.f.f1@gmail.com>
Tong Hui <tonghuix@gmmail.com>
tuhaihe <1132321739qq@gmail.com>
Yosef Or Boczko <yoseforb@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.11.3 - Dec 16, 2013
=====================

Changes since 3.11.2:

- Setup NAT networking for new VMs so that all VMs are on the same private (to
  host) network and therefore VMs and host can directly communicate with each
  other.
- Fix the regression of system libvirt import getting wrongly activated.
- Fix the issue of fullscreen/restore button being chopped on the left side.
- Improved detection of gnome-continuous images.
- Make use of new OS variant API of libosinfo for improved naming of VMs 
  and presentation of OS medias.
- Fix a potential crash.
- Instead of using unmaintained fuseiso for extracting files from ISOs, we now
  use iso-read command.
- Simplify "About Boxes" to "About" in global menu.
- Add a missing translation marker.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Galician
  - Greek
  - Polish
  - Spanish
  - Tamil

Dependencies changed:

- libosinfo >= 0.2.9
- Drop fuseiso (runtime-only) dependency
- libcdio (runtime-only)
- Use tracker-sparql 0.18.

All contributors to this release:

Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Dominique Leuenberger <dimstar@opensuse.org>
Fran Diéguez <fran.dieguez@mabishu.com>
Fábio Nogueira <deb-user-ba@ubuntu.com>
Michael Catanzaro <mcatanzaro@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Ferreira <rafael.f.f1@gmail.com>
Shantha kumar <shkumar@redhat.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.11.2 - Nov 19, 2013
=====================

Changes since 3.10.0:

- Allow import of system libvirt VMs.
- Enable users to use force shutdown as a work around for completing
  installations from live sessions for OSes (e.g Ubuntu) that require you to
  eject the CDROM after installation.
- Fix regression of empty Boxes UI not showing up.
- Handle the case of user manually deleting storage pool directory.
- Only show cutomize button in wizard summary when creating single machines as
  it currently does not work for other cases.
- Added/updated/fixed translations:
  - Catalan (Valencian)
  - Greek
  - Norwegian bokmål
  - Persian
  - Simplified Chinese
  - Slovak
  - Tajik

All contributors to this release:

Arash Mousavi <mousavi.arash@gmail.com>
Carles Ferrando <carles.ferrando@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <iosifidis@opensuse.org>
Kjartan Maraas <kmaraas@gnome.org>
Michael Catanzaro <mcatanzaro@gnome.org>
Victor Ibragimov <victor.ibragimov@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
甘露(Lu Gan) <rhythm.gan@gmail.com>

3.10.0 - Sep 23, 2013
=====================

Changes since 3.9.92:

- Added/updated/fixed translations:
  - Estonian
  - Japanese
  - Catalan
  - Ukranian
  - Tajik
  - Basque
  - Danish

All contributors to this release:

Ask H. Larsen <asklarsen@gmail.com>
Daniel Korostil <ted.korostiled@gmail.com>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Jiro Matsuzawa <jmatsuzawa@gnome.org>
Josep Sànchez <papapep@gmx.com>
Mattias Põldaru <mahfiaz@gmail.com>
Victor Ibragimov <victor.ibragimov@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.9.92 - Sep 17, 2013
=====================

Changes since 3.9.91.1:

- Don't mark empty string ("") for translation.
- Use 'virtio-net' in new VM boxes when supported by guest OS.
- Fix network for VM boxes created from gnome-continuous images.
- Fix regression of spinner not getting removed from on top of
  under construction boxes, after import/install was finished.
- Update and adapt to latest libgd.
- Added/updated/fixed translations:
  - Assamese
  - Belarusian
  - Brazilian Portuguese
  - Czech
  - Finnish
  - French
  - German
  - Hebrew
  - Hungarian
  - Indonesian
  - Korean
  - Latvian
  - Norwegian bokmål
  - Punjabi
  - Russian
  - Serbian
  - Slovak
  - Tajik

All contributors to this release:

Alexandre Franke <alexandre.franke@gmail.com>
Andika Triwidada <andika@gmail.com>
A S Alam <apreet.alam@gmail.com>
Christian Kirbach <christian.kirbach@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Dmitriy S. Seregin <dseregin@59.ru>
Dušan Kazik <prescott66@gmail.com>
Gabor Kelemen <kelemeng@gnome.hu>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Nilamdyuti Goswami <ngoswami@redhat.com>
Rafael Ferreira <rafael.f.f1@gmail.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Seong-ho Cho <darkcircle.0426@gmail.com>
Timo Jyrinki <timo@debian.org>
Victor Ibragimov <victor.ibragimov@gmail.com>
Yosef Or Boczko <yoseforb@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.9.91.1 - Sep 04, 2013
=======================

Changes since 3.9.91:

- Apply correct style to enable rounded corners in latest gnome-shell.
- Correct desktop file name in AppData file.
- Rebuild against latest Vala to fix build against older libsoup.
- Fix 'No KVM' warning visibility issues.
- Remove redundant workaround for bug#677260.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Irish
  - Italian
  - Lithuanian
  - Polish
  - Spanish
  - Traditional Chinese

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Daniel Mustieles <daniel.mustieles@gmail.com>
Milo Casagrande <milo@ubuntu.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Ferreira <rafael.f.f1@gmail.com>
Seán de Búrca <leftmostcat@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.9.91 - Sep 02, 2013
=====================

Changes since 3.9.90:

- Provide an AppData file for GNOME software center.
- Fix regression in launching of VMs from commandline (and therefore from
  gnome-shell search results as well) by reverting asynchronous loading of VM
  sources.
- Switch to client-side decoration in preparation for 3.10 wayland tech demo.
- Baseline align wizard's setup widgets.
- Don't hang on failure to handle a URL.
- Fix the regression of inability to handle local paths in wizard.
- Handle files on locally mounted SMB shares.
- Some important accessibility fixes.
- Fix CTRL+Q and ALT+A handling.
- Provide keyboard accelerator for "New" button.
- Adapt to new UI design for selection mode.
- Drop usage of now deprecated gtk stock items.
- Fix bug in favorites button handling in selection mode.
- Fix build against Automake 1.14.
- Drop usage of Gd.MainToolbar in favor of new Gtk.HeaderBar.
- Work around vala bug#706517.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Czech
  - Galician
  - Hungarian
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Slovak
  - Slovenian
  - Spanish

Dependencies changed:

Vala >= 0.21.1
gtk+ >= 3.9

All contributors to this release:

Arnel A. Borja <arnelborja@src.gnome.org>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <urbalazs@src.gnome.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gursimran singh <simar.i3r@gmail.com>
Kerrick Staley <kerrick@kerrickstaley.com>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Martin Srebotnjak <miles@filmsi.net>
Matej Urbančič <mateju@svn.gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Yosef Or Boczko <yoseforb@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.9.90 - Aug 20, 2013
=====================

Changes since 3.9.5:

- Adapt to latest govirt and libvirt-gconfig API.
- Fix a typo in user-visible string.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Galician
  - Hebrew
  - Lithuanian
  - Norwegian bokmål
  - Russian
  - Slovenian

Dependencies changed:

govirt >= 0.2.0 (optional)
libvirt-gconfig >= 0.1.7

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Kjartan Maraas <kmaraas@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Rafael Ferreira <rafael.f.f1@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Yuri Myasoedov <omerta13@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.9.5 - Jul 29, 2013
====================

Changes since 3.9.3:

- Don't show spinner on live boxes.
- Correct button arrows for RTL locales.
- Fix properties to display animation against Clutter 1.16.
- More noticeable warning on VT unavailability.
- Added/updated/fixed translations:
  - Czech
  - Galician
  - Norwegian bokmål
  - Spanish
  - Tamil

All contributors to this release:

Daniel Mustieles <daniel.mustieles@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Shantha kumar <shkumar@redhat.com>
Yosef Or Boczko <yosefor3@walla.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.9.3 - Jun 17, 2013
====================

Changes since 3.9.2:

- Add support for import of ready-made disk images. Supported formats are:
  - qcow2
  - qcow
  - cow
  - raw (.img extension)
  - vdi
  - vmdk
  - vpc
  - cloop
  Also gzip compressed images are supported.
- Show a spinner on top of under-construction boxes in collection view.
- Fix cancellation of ovirt authentication.
- Asynchronously initialize brokers so UI doesn't remain empty for slow
  brokers.
- Handle SPICE connection errors and avoid user seeing a stuck UI
  indefinitely in case of such errors.
- Fix selectionbar overlay not becoming visible on right-click.
- Fix Boxes showing mostly invisible wizard when launched with a media argument.
- Fix display ending-up at the top of item in collection view at the end of
  display->collection animation when linked against clutter 1.16.
- Fix ellipsizing of wizard summary labels.
- Use new libgovirt API to know the host subject to use to validate the SSL
  certificate of a given VM without user having to set environment variable.
- If recommended/min memory for an OS or OS itself is unknown, we now allocate
  1G rather than 500M. 500M is too little for most modern OSs.
- Drop file extension when naming a VM by its source media filename.
- Ensure that newly created boxes appear first in the collection view.
- Remove now redundant style & associated data.
- Added/updated/fixed translations:
  - Assamese
  - Brazilian Portuguese
  - Catalan
  - Czech
  - Galician
  - German
  - Kannada
  - Odia
  - Polish
  - Simplified Chinese
  - Slovak
  - Spanish
  - Telugu

Dependencies changed:

govirt >= 0.1.0 (optional)

All contributors to this release:

Christian Kirbach <Christian.Kirbach@googlemail.com>
Christophe Fergeau <cfergeau@redhat.com>
Dušan Kazik <prescott66@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gil Forcada <gforcada@gnome.org>
Krishnababu Krothapalli <kkrothap@redhat.com>
Luc Pionchon <pionchon.luc@gmail.com>
ManojKumar Giri <mgiri@redhat.com>
Marek Černocký <marek@manet.cz>
Nilamdyuti Goswami <ngoswami@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Ferreira <rafael.f.f1@gmail.com>
Shankar Prasad <svenkate@redhat.com>
YunQiang Su <yqsu@src.gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.9.2 - May 28, 2013
====================

Changes since 3.8.1:

- Fix focus going out of password/username entries on each key press.
- Fix unwanted '_' in wizard toolbar button labels.
- Avoid showing weird errors when user is entering URI in wizard.
- Correct size of 'read-only' toggle in VNC box properties.
- Fix a regression that disables Boxes from connecting to the same box more
  than once.
- Tone down hologram effect in Boxes icon not to appear broken.
- Correctly set timezone configuration on new VMs. This combined with libosinfo
  release (0.2.7), fixes Fedora 19 express installation.
- Work around the issue of dialog being blank after first usage (bug#699376).
- Activation of text entries in wizard's setup page now behave as expected.
- Make use of new libosinfo API to set direct boot commandline for Fedora
  express installation instead of hardcoding it.
- Allow changing URI of non-connected remote displays.
- Fix sorting of boxes that were never accessed.
- Handle locales with '.UTF-8' suffix and hence fix Fedora 19 express
  installation against such locales.
- Fix non-express installation of Windows XP and 7.
- Fix regression in setup->review->setup->review wizard transition.
- Don't automatically jump to next page in wizard on express install untoggled
- Show display overlay toolbar until mouse moves so that user doesn't miss it.
- Ensure display toolbar is visible when mouse can be grabbed.
- Mark two user visible strings for translation.
- Never make the 'Express Install' label in wizard, insensitive.
- Added/updated/fixed translations:
  - Hebrew
  - Japanese
  - Norwegian bokmål
  - Spanish

Dependencies changed:

libosinfo >= 0.2.7

All contributors to this release:

Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabiano Fidêncio <fidencio@redhat.com>
Gursimran singh <simar.i3r@gmail.com>
Jakub Steiner <jimmac@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
OKANO Takayoshi <kano@na.rim.or.jp>
Yaron Shahrabani <sh.yaron@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.8.1 - Apr 15, 2013
====================

Changes since 3.8.0:

- Don't crash on missing udev properties.
- Enable usb-redirection by default.
- Allow rebooting the box on changes to system properties, even if box is in
  saved state.
- Automatically delete under-install/live VM on source media deletion.
- Use correctly sized logos.
- Avoid weird glitches in UI by actually cancelling the connecting process when
  user goes back to collection view.
- Add '--enable-ovirt' configure option.
- Delete box configuration even when box is deleted by another UI.
- Continue/Create buttons in wizard should have the focus when they are
  sensitive. In most cases, this will enable users to create VMs very quickly.
- More info on hardware requirements in user help pages.
- Added/updated/fixed translations:
  - British English
  - Catalan (Valencian)
  - Finnish
  - Hebrew
  - Indonesian
  - Norwegian bokmål
  - Simplified Chinese

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Andika Triwidada <andika@gmail.com>
Bruce Cowan <bruce@bcowan.me.uk>
Carles Ferrando <carles.ferrando@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Korostil <ted.korostiled@gmail.com>
Ekaterina Gerasimova <kittykat3756@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Maciej Piechotka <uzytkownik2@gmail.com>
Michael Hill <mdhillca@gmail.com>
tuhaihe <wangdianjin@linuxdeepin.com>
Ville-Pekka Vainio <vpvainio@iki.fi>
Yaron Shahrabani <sh.yaron@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.8.0 - March 26, 2013
======================

Changes since 3.7.92:

- Much improved user help pages. Kudos to GNOME Documentation team.
- Fix regression in rebooting of machines after editing properties.
- Allow editing system properties before creation.
- Added/updated/fixed translations:
  - Basque language
  - Catalan
  - Danish
  - French
  - Hindi
  - Hungarian
  - Italian
  - Korean
  - Malayalam
  - Marathi
  - Odia
  - Persian
  - Tajik
  - Tamil
  - Telugu
  - Traditional Chinese

All contributors to this release:

Alexandre Franke <alexandre.franke@gmail.com>
Ani Peter <apeter@redhat.com>
Arash Mousavi <mousavi.arash@gmail.com>
Ask H. Larsen <asklarsen@gmail.com>
Baptiste Mille-Mathias <baptistem@gnome.org>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Dr.T.Vasudevan <drtvasudevan@gmail.com>
Ekaterina Gerasimova <kittykat3756@gmail.com>
Gabor Kelemen <kelemeng@gnome.hu>
Gil Forcada <gforcada@gnome.org>
Inaki Larranaga Murgoitio <dooteo@zundan.com>
Krishnababu Krothapalli <kkrothap@redhat.com>
ManojKumar Giri <mgiri@redhat.com>
Michael Hill <mdhillca@gmail.com>
Milo Casagrande <milo@ubuntu.com>
Rajesh Ranjan <rranjan@redhat.com>
Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Seong-ho Cho <darkcircle.0426@gmail.com>
Victor Ibragimov <victor.ibragimov@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.7.92 - March 19, 2013
=======================

Changes since 3.7.91:

- Fix progress update on wizard's 'preparation' page.
- Remove empty help page.
- Use correct version of tracker vala binding.
- Don't automatically download drivers for all media on startup.
- Improve high resolution icon.
- Don't provide option to eject CDROM or changing of system properties during
  installation.
- Set RAM size in correct units.
- Disable SPICE image compression in new VM boxes since the VMs we create are
  by default local-only.
- Explicitly disable driver signing for unsigned drivers. With this change, QXL
  drivers actually work out of the box now.
- More translator comments.
- Added/updated/fixed translations:
  - Assamese
  - Belarusian
  - Brazilian Portuguese
  - Czech
  - Estonian
  - Finnish
  - Galician
  - German
  - Greek
  - Gujarati
  - Kannada
  - Latvian
  - Lithuanian
  - Polish
  - Portuguese
  - Punjabi
  - Russian
  - Serbian
  - Slovak
  - Slovenian
  - Spanish
  - Uyghur
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

libvirt-gconfig >= 0.1.6
libosinfo >= 0.2.6

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
A S Alam <aalam@users.sf.net>
Aurimas Černius <aurisc4@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Duarte Loreto <happyguy_pt@hotmail.com>
Dušan Kazik <prescott66@gmail.com>
Ekaterina Gerasimova <kittykat3756@gmail.com>
Enrico Nicoletto <liverig@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gheyret Kenji <gheyret@gmail.com>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Jakub Steiner <jimmac@gmail.com>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Mattias Põldaru <mahfiaz@gmail.com>
Nilamdyuti Goswami <ngoswami@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Shankar Prasad <svenkate@redhat.com>
Sweta Kothari <swkothar@redhat.com>
Ville-Pekka Vainio <vpvainio@iki.fi>
Yuri Myasoedov <omerta13@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.7.91 - March 05, 2013
=======================

Changes since 3.7.90:

- Allow drag to unfullscreen Boxes.
- Align the spinner that is shown when connecting to and restoring saved Boxes.
- Don't allow smaller window than the UI requires.
- Ensure all potentially long labels are ellipsized.
- Fix current memory size display in properties.
- Show correct max. memory in diagnostics log.
- Allow ignoring saved state if restore fails.
- Change category in desktop file from 'Network;RemoteAccess' to 'System'.
- Use more appr. icon for properties.
- Forgotten (from last release) adaptations for media detection code against
  latest udev and libosinfo.
- Fix launching of multiple installation from same media in the menu.
- Fix the ungrab label sometimes rendering wrong.
- Fix sidebar width on non-english locales.
- Change mnemonic for 'Done' as it conflicts with 'Delete' button in selection
  view.
- List favorite boxes and most recently used boxes before others.
- Hide USB devices from properties when usbredir is disabled.
- Refresh USB devices in properties when devices are added/removed.
- Fix a crash in notification bar.
- Better error messages on failure to change box properties.
- Add preliminary user documentation.
- Validate desktop file during build.
- Add memory units to diagnostics log.
- Added/updated/fixed translations:
  - Brazilian Portuguese
  - Galician
  - Greek
  - Gujarati
  - Hebrew
  - Italian
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Punjabi
  - Russian
  - Serbian
  - Slovak
  - Slovenian
  - Spanish
  - Uyghur
  - Vietnamese
- Some other functional and non-functional improvements and fixes.

All contributors to this release:

Adelino Afonso <adelino-afonso@hotmail.com>
Alexander Larsson <alexl@redhat.com>
A S Alam <aalam@users.sf.net>
Aurimas Černius <aurisc4@gmail.com>
Baptiste Mille-Mathias <baptistem@gnome.org>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Ekaterina Gerasimova <kittykat3756@gmail.com>
Enrico Nicoletto <enriconlto@src.gnome.org>
Enrico Nicoletto <liverig@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gheyret Kenji <gheyret@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Luca Ferretti <lferrett@gnome.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Michael Hill <mdhillca@gmail.com>
Michael Hill <mdhill@src.gnome.org>
Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Sweta Kothari <swkothar@redhat.com>
Tom Tryfonidis <tomtryf@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Yuri Myasoedov <omerta13@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.7.90 - Feb 19, 2013
=====================

Changes since 3.7.5:

- Add oVirt support.
- Add support for post-installation drivers. This combined with libosinfo 0.2.4
  means automatic installation of QXL and all virio drivers, and spice-vdagent
  as part of Windows XP express installation.
- VM properties:
  - Mark recommended RAM and storage when known.
  - The 1M step and minimum we use for RAM is too small. Bump it to 64M.
  - The 1G step value we use for storage is too big. Decrease it to 256M.
- Don't use IEC units for storage in wizard and properties.
- Fix crash when passing media on command line.
- Fix an infinite loop.
- Fix positioning of thumbnail in properties view.
- Adapt media detection code against latest udev and libosinfo.
- More rebust media detection.
- More robust restart of installations.
- Ensure driver installation progress always reaches 100% even if an error
  occurs during the installation.
- Allow search with multiple terms. A search like "foo bar" now means name
  containing "foo" and "bar". This is nicer, and what you expect from e.g.
  gnome-shell search.
- Update to the new gnome-shell search interface.
- Added/updated/fixed translations:
  - Galician
  - Greek
  - Malayalam
  - Polish
  - Serbian
  - Slovenian
  - Spanish
  - Traditional Chinese
  - Turkish
  - Uyghur
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

- spice-client-gtk-3.0 >= 0.15
- govirt-1.0 >= 0.0.3 (Conditional: Without it, oVirt support is disabled).

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Anish A <aneesh.nl@gmail.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dimitris Spingos <dmtrs32@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gheyret Kenji <gheyret@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Muhammet Kara <muhammetk@acikkaynak.name.tr>
Piotr Drąg <piotrdrag@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.7.5 - Feb 04, 2013
====================

Changes since 3.7.4:

- Fix screenshot zooming when going to properties view.
- Fix squished icon in properties during wizard.
- Add header to properties view.
- Make fullscreen toolbar translucent.
- Use the standard OSD look for the fullscreen toolbar.
- Remove 'fullscreen' and 'properties' from global menu.
- Fix the last of clutter deprecated API warnings.
- (Try to) support product logos and driver files from non-HTTP sources.
- Move 'Cancel' button to left in wizard.
- Put selection toolbar in the right place in the UI.
- Be less strict about device driver architecture.
- Support new tracker version.
- Proper support for command line args in secondary process.
- Always grab focus when switching to display mode.
- Use stock buttons for 'Delete' and 'Properties' rather than icons in
  selection toolbar.
- Update to latest libgd.
- Add initial experience greeting. As a consequence, we don't autolaunch
  wizard on first time usage anymore.
- Don't force fullscreen when a newly created vm is started.
- Selecting item when maximized enters fullscreen.
- Added/updated/fixed translations:
  - Assamese
  - Hebrew
  - Japanese
  - Norwegian bokmål
  - Polish
  - Serbian
  - Slovak
  - Slovenian
  - Spanish
  - Traditional Chinese
  - Uyghur

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Cosimo Cecchi <cosimoc@gnome.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Gheyret Kenji <gheyret@gmail.com>
Jakub Steiner <jimmac@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Matej Urbančič <mateju@svn.gnome.org>
Nilamdyuti Goswami <ngoswami@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Yaron Shahrabani <sh.yaron@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.7.4 - Jan 14, 2013
====================

Changes since 3.7.3:

- Make use of new libosinfo API to avoid starting installation in language
  unsupported by installer media.
- Add smartcard support. If --enable-smartcard support is passed we create new
  VMs with smartcard support, or let you add it to old VMs.
- Ensure driver files cache is up2date and unique.
- Once installation is complete,
  - Eject CDROM.
  - Delete installer files.
- Make the progressbar on wizard's preparation page more useful by showing
  progress of media detection and drivers download and keeping user informed
  about current activity.
- Adapt to Clutter 1.12 and Gtk+ 3.2.
- Added/updated/fixed translations:
  - Assamese
  - Belarusian
  - Bulgarian
  - Estonian
  - Galician
  - Hebrew
  - Hungarian
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Slovenian
  - Spanish
- Remove now redundant Vala API files.
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

- libosinfo >= 0.2.3
- libvirt-gobject >= 0.1.5
- libvirt-gconfig >= 0.1.5

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Úr <urbalazs@src.gnome.org>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabiano Fidêncio <fabiano@fidencio.org>
Fran Diéguez <fran.dieguez@mabishu.com>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Krasimir Chonov <mk2616@abv.bg>
Matej Urbančič <mateju@svn.gnome.org>
Mattias Põldaru <mahfiaz@gmail.com>
Nilamdyuti Goswami <ngoswami@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.7.3 - Dec 17, 2012
====================

Apart from the user-visible changes listed below, this is the first release
that makes use of new automated installation API of libosinfo.

- More robust VM naming for unknown media.
- Ensure media presented in wizard are actually available.
- Provide visual indication of boxes being saved.
- The 'pause' button should only be enabled if any of the selected
  machines support saving and is not already in saved state.
- Don't lose tracking of installation if user quits Boxes during installation.
- Exit to collection view if the VM goes to a non-running state
- Exit to collection view on display disconnect only for current item.
- Don't crash when running Boxes while it's already running.
- Make it actually possible to pause VMs under installation.
- Add support for changing the CD-ROM device/ISO from properties.
- Add troubleshooting log viewer to system properties.
- Add usbredir on/off status to configure output.
- Remove 'Simple' from the generic name so Boxes doesn't show in gnome-shell's
  search result when searching for this term.
- Automatically download & install pre-installation drivers libosinfo knows
  about (currently only virtio storage driver). This makes manual download of
  win-tools ISO redudant.
- Added/updated translations:
  - Assamese
  - Kannada
  - Tamil
  - Galician
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

- libosinfo >= 0.2.2
- glib-2.0 >= 2.32
- valac >= 0.17.3 (build-time only)

All contributors to this release:

Aleksander Morgado <aleksander@lanedo.com>
Alexander Larsson <alexl@redhat.com>
Christophe Fergeau <cfergeau@redhat.com>
Dr.T.Vasudevan <drtvasudevan@gmail.com>
Fabiano Fidêncio <fabiano@fidencio.org>
Fran Diéguez <fran.dieguez@mabishu.com>
Nilamdyuti Goswami <ngoswami@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Shankar Prasad <svenkate@redhat.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.7.2 - Nov 19, 2012
====================

- More reliable tracking of installation.
- Fix 'Continue' button disabled when choosing non-express installation for
  Windows XP.
- Clear search when search bar is dismissed.
- Use the right icon for selection mode and fullscreen buttons.
- Reset selection when exiting selection mode.
- Fix a bug in properties view where incorrect tab was shown for remote
  machines.
- Handle screenshots correctly on force shutdown.
- Workaround some potential crashes in search provider.
- When password entry loses input focus while its empty, it now reverts back to
  'Add password' button.
- Add logo for RHEL 4.x, 5.x and 6.x.
- Ensure storage pool is active before using it.
- Add storage pool test to --checks.
- More reliable resetting of URL entry.
- Enter selection mode on right-click in collection view.
- Move force shutdown button from application menu to properties view.
- Add option to pause VMs.
- Make selection and properties views, and wizard's setup page look more like
  mockups/gnome-documents.
- Add options to select all, none and running boxes.
- Allow search in selection mode.
- Allow accessing properties for non-running VMs (through selection mode).
- Show notifications on display page as well.
- Go back to display when user clicks thumbnail in properties view.
- Be more strict about SPICE URIs.
- Allow tweaking properties for remote machines in the wizard.
- Add keywords to the desktop file to make gnome-shell search more satisfying.
- Ensure we always disconnect display when we're not displaying it.
- Force shutdown the machine with user's consent if ACPI shutdown request is
  ignored by guest OS.
- Remove libvirt-glib hacks.
- Add USB redirection support in new VMs if supported. Also provide configure
  option to completely disable it at build time.
- Don't show USB properties if VM does not support USB redirection.
- Add option to add USB redirection support to existing VMs.
- Load OS database asynchronously to reduce Boxes load time.
- Fix a build issue.
- Added/updated/fixed translations:
    - Belarusian
    - Estonian
    - Galician
    - Indonesian
    - Korean
    - Lithuanian
    - Norwegian bokmål
    - Persian
    - Serbian
    - Slovak
    - Slovenian
    - Spanish
    - Polish
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

- libosinfo >= 0.2.1
- libvirt-gobject >= 0.1.4
- libvirt-gconfig >= 0.1.4

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Andika Triwidada <andika@gmail.com>
Arash Mousavi <mousavi.arash@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Frédéric Péters <fpeters@0d.be>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Matthias Clasen <mclasen@redhat.com>
Mattias Põldaru <mahfiaz@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Shankar Prasad <svenkate@redhat.com>
Jakub Steiner <jimmac@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.6.1.1 - Oct 16, 2012
======================

A nano release to add a forgotten file from distribution tarball.

All contributors to this release:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.6.1 - Oct 15, 2012
====================

Changes since 3.6.0

- Make spinner spin.
- Enable key navigation in main view.
- Disable/ignore keynav and other irrelevant keyboard events in search entry.
- Add Ctrl-Q keyboard shortcut for quitting Boxes.
- Correct/improve look&feel of selection mode.
- Gracefully handle 'topology node missing from libvirt capabilities' scenerio.
- Directly use libsoup for HTTP downloads.
- Add a SLEEPING mode for libvirt's new 'PMSUSPEND' state.
- Use GNOME logo for representing GNOME live media.
- Disable customization of remote boxes at creation for now. This was
  nonfunctional and not as important as customization of VMs.
- Automatically switch to 'System' tab in properties for VM under creation.
- Fix regression of not automatically continuing saved installations on launch.
- Fix inconsistencies in sizes of wizard toolbar buttons.
- Fix incorrect enabling of 'Continue' button in wizard.
- Don't crash when Tracker service is unavailable.
- Don't automatically delete live VM box on forced shutdown.
- Correct configure check for forcing building from vala sources.
- Disable S3/S4 states for new VMs to avoid some issues with these power states
  in latest libvirt/qemu.
- Only gather stats for running VMs to save resources.
- Added/updated translations:
  - Bulgarian
  - Danish
  - Norwegian bokmål
  - Slovak
  - Traditional Chinese
  - Thai
  - UK

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Alexander Shopov <ash@kambanaria.org>
Ask H. Larsen <asklarsen@gmail.com>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Korostil <ted.korostiled@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Kallaya Songklang <songklang10@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Olivier Blin <dev@blino.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.6.0 - Sept 25th, 2012
========================

Changes since 3.5.92:

- Make animations slightly faster
- Expand spinner button size so that it's consistent with other buttons
- Prevent Boxes from sometimes switching back to the collection view on
  its own right after the user clicked on a box to connect to it
- Added/updated translations:
  - Assamese
  - Belarusian
  - Bengali India
  - Brazilian Portuguese
  - British English
  - Catalan (Valencian)
  - Czech
  - Estonian
  - Finnish
  - French
  - Galician
  - German
  - Greek
  - Gujarati
  - Hebrew.
  - Hindi
  - Hungarian
  - Indonesian
  - Kannada
  - Korean
  - Latvian
  - Lithuanian
  - Malayalam
  - Marathi
  - Polish
  - Portuguese
  - Punjabi
  - Russian
  - Serbian
  - Simplified Chinese (zh_CN)
  - Slovenian
  - Spanish
  - Tamil
  - Telugu

All contributors to this release:

A S Alam
Alexandre Franke
Alexander Larsson
Andika Triwidada
Ani Peter
Antonio Fernandes C. Neto
Aurimas Černius
Bruce Cowan
Carles Ferrando
Daniel Mustieles
Dr.T.Vasudevan
Duarte Loreto
Fran Diéguez
Gabor Kelemen
Gil Forcada
Ihar Hrachyshka
Marek Černocký
Mario Blättermann
Matej Urbančič
Mattias Põldaru
Nilamdyuti Goswami
Piotr Drąg
Praveen Illa
Rajesh Ranjan
Runa Bhattacharjee
Rūdolfs Mazurs
Sandeep Sheshrao Shedmake
Seong-ho Cho
Shankar Prasad
Sweta Kothari
Timo Jyrinki
Tom Tryfonidis
Yaron Shahrabani
Yuri Myasoedov
tuhaihe
Мирослав Николић

3.5.92 - Sept 17th, 2012
========================

Changes since 3.5.91:

- Fix running 'gnome-boxes filename.iso' from the command line
- Fix changing the amount of RAM when libvirt-glib 0.1.3 or newer is used
- Make sure all running boxes are finished suspending before exiting Boxes
- Selection/search mode refinements
- Various bugfixes and general polishing

- Added/updated translations:
  - Assamese
  - Belarusian
  - British English
  - Czech
  - Danish
  - Finnish
  - French
  - Galician
  - German
  - Greek
  - Gujarati
  - Hebrew
  - Hungarian
  - Indonesian
  - Korean
  - Lithuanian
  - Malayalam
  - Marathi
  - Norwegian bokmål
  - Persian
  - Portuguese
  - Russian
  - Serbian
  - Simplified Chinese
  - Slovenian
  - Traditional Chinese

All contributors to this release:

Alexander Larsson
Alexandre Franke
Ani Peter
Arash Mousavi
Ask H. Larsen
Aurimas Černius
Bruce Cowan
Chao-Hsiung Liao
Cheng-Chia Tseng
Christian Kirbach
Christophe Fergeau
Dirgita
Duarte Loreto
Fran Diéguez
Gabor Kelemen
Ihar Hrachyshka
Jiri Grönroos
Kjartan Maraas
Marc-André Lureau
Marek Černocký
Martin Srebotnjak
Nilamdyuti Goswami
Sandeep Sheshrao Shedmake
Seong-ho Cho
Sweta Kothari
Tom Tryfonidis
Ville-Pekka Vainio
Yaron Shahrabani
Yuri Myasoedov
tuhaihe
Мирослав Николић

3.5.91 - Sept 3rd, 2012
=======================

Changes since 3.5.90:

- Download OS logos on demand instead of shipping them in gnome-boxes or
  in a non-free package.
- Allow to customize box memory and maximum disk size before creating it.
- More responsive box removals.
- Make stopped/saved boxes easier to distinguish. Saved boxes show a
  grayed out thumbnail of their display and stopped boxes show a black
  screen.
- Add the ability to use an additional ISO with extra Windows drivers for
  use during unattended installs. For now, Boxes can use it to install
  the Windows system to a virtio disk. It also needs to be made available
  manually (this will be improved at a later point), 'make win-tools.iso'
  can be used to download it,
  http://git.gnome.org/browse/gnome-boxes/commit/?id=af09bc77c5 explains
  what to do with it.
- Tweak auto-hiding of fullscreen toolbar.
- Improve box display scaling (when using a very recent spice-gtk).
- Various UI fixes and improvements.

- Added/updated translations:
  - Assamese
  - Galician
  - Greek
  - Hebrew
  - Lithuanian
  - Norwegian bokmål
  - Polish
  - Russian
  - Simplified Chinese (zh_CN)
  - Spanish
  - Traditional Chinese (Hong Kong and Taiwan)
  - Vietnamese

All contributors to this release:

Alexander Larsson
Aurimas Černius
Chao-Hsiung Liao
Christophe Fergeau
Daniel Mustieles
Fran Diéguez
Kjartan Maraas
Marc-André Lureau
Nguyễn Thái Ngọc Duy
Nilamdyuti Goswami
Piotr Drąg
Tom Tryfonidis
tuhaihe
Yaron Shahrabani
Yuri Myasoedov
Zeeshan Ali (Khattak)

3.5.90 - Aug 21, 2012
=====================

Changes since 3.5.5:

- Add search feature, both inside Boxes and in GNOME Shell.
- Selection view now looks a lot prettier (i-e like in gnome-documents) and we
  now retain the selection when switching away from selection view.
- Add an info text column under the box in collection view. Currently its used
  to indicate installation or live status of VMs.
- Asynchronously launch machines so the UI doesn't hang and user sees that
  something is actually happening.
- Make 'favorite' button in selection view, actually work.
- Express installation:
  - Use the new info text column to show the progress of the installation.
  - Don't set SPICE password. Our own created VMs are supposed to be private to
    user (at least by default) so there is no need to add password protection
    to display connection.
  - Allow password-less Fedora VM, just like Windows XP and 7.
  - Require user to input product key for Windows XP.
  - Remove work around for broken QXL drivers on Fedora 16 ISOs.
  - Use the new schemas for detecting the keyboard layout.
- 'check' commandline option:
   - Add a check for SELinux context.
   - Add check for whether we have the kvm capability on qemu:///session.
   - Prettier output.
- Add 'open-uuid' commandline option that allows to open a box by its UUID.
- Fixes to satisfy recent valac.
- Fix issue of Fedora installations looping forever.
- Fix a series of small issues in the UI.
- Added/updated translations:
  - Assamese
  - Belarusian
  - Galician
  - Hebrew
  - Hindi
  - Indonesian
  - Marathi
  - Serbian
  - Slovenian
  - Spanish
  - Traditional Chinese (Hong Kong and Taiwan)

Dependencies changed:

- uuid >= 1.41.3 (new depenency)
- libvirt-gobject >= 0.1.2
- vala >= 0.17.2

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Andika Triwidada <andika@gmail.com>
chandankumar <chandankumar@git.gnome.org>
Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Marc-André Lureau <marcandre.lureau@gmail.com>
Martin Srebotnjak <miles@filmsi.net>
Nilamdyuti Goswami <nilamdyuti@gmail.com>
Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.5.5 - Aug 06, 2012
====================

Changes since 3.5.4.1:

- Fix renaming of remote machine.
- Allow renaming virtual machines.
- Gracefully handle errors from text entries in properties.
- Notify user when properties changes are pending.
- Ensure changes to RAM and storage properties are not lost.
- Don't lose display connection when a machine reboots.
- More reliable virtual machine reboot/shutdown.
- Show the display in the right place of properties page depending on current UI
  state.
- Properly update screenshot on machine shutdown.
- Added/updated translations:
  - Galician
  - German
  - Greek
  - Gujarati
  - Hebrew
  - Hungarian
  - Japanese
  - Lithuanian
  - Norwegian bokmål
  - Serbian
  - Slovenian
  - Spanish

Dependencies changed:

- libvirt-gobject >= 0.1.1
- spice-gtk >= 0.12.101

All contributors to this release:

Aurimas Černius <aurisc4@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gabor Kelemen <kelemeng@gnome.hu>
Jiro Matsuzawa <jmatsuzawa@gnome.org>
Kjartan Maraas <kmaraas@gnome.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Sweta Kothari <swkothar@redhat.com>
Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Tom Tryfonidis <tomtryf@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.5.4.1 - Jul 15, 2012
======================

Changes since 3.5.3:

- Create VM based on host capabilities: Choose the virtualization type (KVM or
  Qemu), architecture and features (acpi, apic and pae) of the created domain
  based on host capabilities. This means we now allow creation of VMs even when
  KVM is not available.
- Warn about unavailability of KVM.
- Assign best possible CPU configuration to VMs.
- Reduce the chances of failures at review page of wizard by pre-creating VMs
  (i-e moving failure points to setup page).
- Error out on failure to create VMs.
- More reliable post-installation setup.
- Automatically resume saved installations on launch.
- Friendlier error on new VM setup failure.
- Fix collisions in multiple express installations of the same OS.
- Don't shutdown guest after win7/win2k8 express installation.
- Avoid redundant number suffix in live VMs.
- Fix the regression of 'SETUP' not being skipped for live medias when going
  backwords in wizard.
- Fix layout of initial wizard page.
- Fix creation of VM from hardware CDROM media.
- Sort media in ascending order, not descending.
- Fix not showing selection in file chooser dialog.
- Drop non-free logo files. These files are not provided by a separate package:
  - Repository: http://git.gnome.org/browse/gnome-boxes-nonfree/
  - Source tarballs: http://download.gnome.org/sources/gnome-boxes-nonfree/
- Don't crash when zooming out of a removed box.
- Fixes to box thumbnail drawing/animations.
- Make paused/saved state of dark thumbnails more visible.
- Fix color of toolbar in fullscreen.
- Fix transparent topbar.
- Fix nasty flashing when clicking on toolbar.
- Add translator comment to explain 'Express Install'.
- Add missing files to POTFILES.in and POTFILES.skip.
- Add --debug configure option to set Vala & C debug flags.
- Remove exclamation mark from error messages.
- Added/updated translations:
  - Bulgarian
  - French
  - Galician
  - Norwegian bokmål
  - Spanish
  - Traditional Chinese (Hong Kong and Taiwan)
  - Vietnamese

Dependencies changed:

- libvirt-gconfig >= 0.1.0

All bugs fixed in this release:

671251 - do not include non-free content
673850 - Cannot see selection in file open dialog
674209 - Support VM creation on host w/o KVM
676029 - Make use of multicore
676256 - Cannot create VM from Live Media
677274 - Use layout managers to lay out our widgets
678455 - screenshot handling poor
678769 - Introductory banner too wide
678849 - wrong wizard step shown with live cd
678876 - Fix parsing of CSS stylesheet with gtk+ 3.4
678888 - Set post install config soon after starting domain
678894 - Live VM regressions (deleted before launch and not automatically deleted at postinstall)
678900 - express installation files not unique enough
678902 - Ugly error message when boxes creation fails
678933 - Unify deletion of machines a bit
679040 - crash in boxes_collection_view_get_path_for_item
679066 - No longer reboots during win7 unattended install
679121 - Lots of transparent with latest Adwaita
679229 - "Express Install" needs translator comment"
679293 - Add --debug configure option to set Vala & C debug flags
679429 - Remove a redundant check
679430 - vm-creator: Unhook from state-changed signal on machine deletion
679482 - vm-creator: Don't start the domain twice
679645 - Remove exclamation mark from error messages
679646 - Failed to boot from CD-ROM
679657 - Few small live box creation fixes/improvements
679666 - Improve git diff output for vala files
679706 - Remove most of 'is UnattendedInstaller' checks

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Alexander Shopov <ash@kambanaria.org>
Bruno Brouard <annoa.b@gmail.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Kjartan Maraas <kmaraas@gnome.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.5.3 - Jun 26, 2012
====================

Changes since 3.5.2:

- All changes included in subsequent 3.4.x releases:
  http://download.gnome.org/sources/gnome-boxes/3.4/gnome-boxes-3.4.3.news
- Port to clutter 1.10 API.
- Big overhaul of the UI code to make the UI look and feel a lot more like
  the design and fix many small issues.
- Wait for libvirt setup before creating VMs and save a potential crash.
- Fix warnings on canceling of VM selection.
- Zoom VM into icon when exiting display mode.
- Fixes issue of selection bar sometimes hiding on animation completion.
- Re-introduce 'ComputerName' setting in Windows 7 express installation but
  this time around, put it in the correct pass.
- Make use of 'title' node in libvirt XML. Mainly done to fix Windows 7 express
  installation.
- Sort the list of boxes shown to the user according to the sorting rules in
  use for his/her locale.
- Fix a wrong assumption in wizard.
- Always skip setup page for live media in wizard instead of presenting UI
  options to user that will be ignored completely.
- Escape key now quits selection mode.
- Provide a menu entry to force shutdown VMs.
- Do not show URL entry when going back after selecting source in wizard.
- Always reset wizard source page when moving forward.
- Stop resizing the display when switching to properties.
- Remove some rendering glitches by removing some obsolete code.
- Added/updated translations:
  - Dutch
  - Galician
  - German
  - Greek
  - Punjabi
  - Serbian
  - Slovenian
  - Spanish

Dependencies changed:

- libvirt-gconfig >= 0.0.9
- clutter-1.0 >= 1.11.5
- clutter-gtk-1.0 >= 1.3.2
- gtk+-3.0 >= 3.5.5

All bugs fixed in this release:

672152 - Selection mode should be single-click
672456 - Overlong string in French translation
672527 - mouse highlighting on "source selection" step gets confused
673072 - Wrong layout after resizing / maximizing the display
674669 - zoom into box transition is poor
674673 - preview action is on mouse down instead of mouse up
676216 - [gnome-boxes] SIGSEGV gvir_connection_find_storage_pool_by_name
676669 - don't offer multi select when there is nothing to select
677034 - wizard state is not fully reset when going back to the first screen
677177 - Use gtk+ password character in Summary
677666 - Fix recent regressions against live media
677690 - Need a way to forcefully stop/reset a box
677713 - pimp the sidebar
677730 - Disable Spice display resize-guest when minimizing
677739 - Add Escape key handler to quit selection mode
678302 - Remove Category treeview and animation glitches
678456 - Zoom in/out to the right icon in the collection
678545 - Stop animationg thumbnail in properties after initial zoom
678569 - Theming broken for selectionbar and notification bar
678624 - update_mouse_mode : code should not be reached

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
A S Alam <aalam@users.sf.net>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Mel <CyBunnyDragon@gmail.com>
Rachid BM <rachidbm@ubuntu.com>
Wolfgang Stöggl <c72578@yahoo.de>
Wouter Bolsterlee <wbolster@gnome.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.5.2 - Jun 05, 2012
====================

Changes since 3.4.0:

- All changes included in subsequent 3.4.x releases:
  http://download.gnome.org/sources/gnome-boxes/3.4/gnome-boxes-3.4.2.news
- Rework media menu to look good and allow scrolling.
- Indicate live medias and VMs as such.
- Correctly report 'i686' architecture as 32-bit.
- Avoid deadlock during startup.
- Fix toolbar not showing up.
- Always automatically launch wizard on startup when Boxes is empty, not just
  on the first run.
- Update topbar title to help with ungrab.
- Do not forward grab-broken events to box' display.
- Allow to open a machine from command line. This allows calling
  "gnome-boxes xp" to start and open that VM for example.
- Add a command line argument to open in full screen.
- Always install a tablet device.
- Do not skip review page for unknown or live media when creating VM manually
  from wizard.
- Fix blurry notifications.
- Fix escaping from fullscreen when caps/numlock are on.
- Setup VM timers policies that fixes Windows 7 hangs.
- Express installation:
  - Set hostname based on its box's name for Windows XP and Fedora.
  - Setup user account and autologon for Windows XP.
  - Setup user's avatar for Windows XP and Fedora.
  - Correctly setup admin password for Windows XP.
  - Use gtk+ password character in Summary page.
- Added/updated translations:
  - Bulgarian
  - Catalan (Valencian)
  - French
  - Galician
  - German
  - Greek
  - Hebrew.
  - Norwegian bokmål
  - Persian
  - Russian
  - Simplified Chinese (zh_CN)
  - Slovenian
  - Spanish
  - Traditional Chinese (Hong Kong and Taiwan)
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

- libvirt-glib >= 0.0.8
- libvirt-gconfig >= 0.0.8
- libosinfo >= 0.1.1

All bugs fixed in this release:

664239 - When going back from a fullscreened VM it should unfullscreen
665562 - Remove now redundant hack for windows 7
670306 - should do some kickstart sanity check before starting the installer
670777 - Better disk performance
672159 - gnome-boxes should remember the iso that was selected when going back
         from the 'configuration' screen
672160 - isos selected through boxes should appear in the "recently used"
         section in the file selector
672458 - The spice mouse is lagging (comparing to spicec)
672528 - "Cancel" button does not really cancel
672567 - Launching of new machines not working
672601 - wizard: Don't explode the window with lots of medias
672853 - Assistant layout is broken
672872 - Sane default sound & video devices for unknown OSs
672983 - error message notification should not go away when the error is fatal
673053 - error popups are not readable
673847 - express: Make use of 'distro' data from libosinfo
673856 - Missing ISO source should not be treated as a fatal error
674035 - gnome-boxes should set 'magic' clock parameters for kvm guests
674228 - Name logo files according to distro names
674328 - Cannot differentiate similar ISOs in list of ISOs
674352 - Getting statistics slow down VMs a lot
674361 - Top toolbar in display shouldn't prevent win7 drag window top to
         maximize
674647 - Make wizard file chooser dialog, modal
674657 - creation assistant isn't running after quitting app first time
674794 - in-app notifications are blurry
675615 - Mouse scrollwheel not working in local Windows XP guest
675617 - Mark the express install floppy image as optional
675663 - Don't do blocking calls on main threads when collecting stats
675813 - Translate X kbd layout ID to console layout ID
676176 - Add units to the -shadow css properties
676222 - no go back button when full screen in win XP
676307 - Cannot leave full screen before system bootup (not even with keyboard)
676320 - User is not created during unattended installation of WinXP
676588 - boxes shouldn't be suprised with non-boxes vm
676589 - Deal with Osinfo media == null
676590 - Always install a tablet
676591 - Do not forward grab-broken to display
676631 - Allow to open a machine from command line
676632 - Allow to open in full screen
676648 - Mark strings as translatable
676658 - Small improvements for Util::get_* functions
676676 - Do not skip review page for unknown media
676679 - Fix random deadlock/timeout
676834 - A few express installation fixes/improvements
677117 - wizard: go to setup step after prepare
677177 - Use gtk+ password character in Summary

All contributors to this release:

Alexander Larsson <alexl@redhat.com>
Alexander Shopov <ash@kambanaria.org>
Alexandre Franke <alexandre.franke@gmail.com>
Arash Mousavi <amousavi@src.gnome.org>
Bruno Brouard <annoa.b@gmail.com>
Carles Ferrando <carles.ferrando@gmail.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Christian Kirbach <Christian.Kirbach@googlemail.com>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Kjartan Maraas <kmaraas@gnome.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Tom Tryfonidis <tomtryf@gmail.com>
tuhaihe <wangdianjin@linuxdeepin.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Yuri Myasoedov <omerta13@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.4.0 - March 26, 2012
======================

Changes since 3.3.92:

- Added/updated translations:
  - Assamese
  - Belarusian
  - Brazilian Portuguese
  - Bulgarian
  - Catalan
  - Catalan (Valencian)
  - Czech
  - Danish
  - Estonian
  - French
  - Galician
  - Hebrew
  - Hungarian
  - Japanese
  - Latvian
  - Lithuanian
  - New Malayalam
  - Polish
  - Portuguese
  - Russian
  - Serbian
  - Simplified Chinese
  - Slovenian
  - Spanish
  - Swedish
  - Telugu
  - Traditional Chinese (Hong Kong and Taiwan)
  - Ukranian

All contributors to this release:

Adam Matoušek <adydas95@gmail.com>
Antonio Fernandes C. Neto <fernandesn@gnome.org>
Aurimas Černius <aurisc4@gmail.com>
Automatic Mirroring <aronmalache@gmail.com>
Bruno Brouard <annoa.b@gmail.com>
Carles Ferrando <carles.ferrando@gmail.com>
Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Nylander <po@danielnylander.se>
Duarte Loreto <happyguy_pt@hotmail.com>
Fran Diéguez <fran.dieguez@mabishu.com>
Gabor Kelemen <kelemeng@gnome.hu>
Gil Forcada <gforcada@gnome.org>
Hajime Taira <htaira@redhat.com>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Kenneth Nielsen <k.nielsen81@gmail.com>
Krasimir Chonov <mk2616@abv.bg>
Marek Černocký <marek@manet.cz>
Matej Urbančič <mateju@svn.gnome.org>
Mattias Põldaru <mahfiaz@gmail.com>
Nilamdyuti Goswami <nilamdyuti@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Praveen Arimbrathodiyil <pravi.a@gmail.com>
Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Sasi Bhushan <sasi@swecha.net>
tuhaihe <wangdianjin@linuxdeepin.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Yuri Myasoedov <omerta13@yandex.ru>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.3.92 - March 20, 2012
=======================

Changes since 3.3.91:

- Cancel notificationbar actions before exiting.
- Box creation wizard:
  - Only show ISO files in file chooser.
  - Don't wait for domain creation event.
- Add --checks commandline option to check if HW virtualization extensions and
  kvm modules are available/enabled.
- Correct Debian and openSUSE trademark ownership.
- Added/updated translations:
  - Assamese
  - Belarusian
  - Brazilian Portuguese
  - British English
  - Catalan
  - Danish
  - Estonian
  - Finnish
  - French
  - Galician
  - Hungarian
  - Korean
  - Latvian
  - Norwegian bokmål
  - Persian
  - Polish
  - Punjabi
  - Serbian
  - Slovenian
  - Spanish
  - Swedish
  - Telugu
  - Ukranian
  - Vietnamese

Dependencies changed:

- gudev >= 165

All bugs fixed in this release:

671673 - Add --checks option to troubleshot for vt/kvm
671847 - RFC: Don't wait for domain creation event
671878 - COPYING.logos is wrong for openSUSE
671921 - Raise minimum gudev version required
672153 - boxes come back from the dead

All contributors to this release:

Arash Mousavi <amousavi@src.gnome.org>
A S Alam <aalam@users.sf.net>
Bruce Cowan <bruce@bcowan.me.uk>
Bruno Brouard <annoa.b@gmail.com>
Carles Ferrando <carles.ferrando@gmail.com>
Christophe Fergeau <cfergeau@redhat.com>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Nylander <po@danielnylander.se>
Djavan Fagundes <djavanf@gnome.org>
Fran Diéguez <fran.dieguez@mabishu.com>
Gabor Kelemen <kelemeng@gnome.hu>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Kenneth Nielsen <k.nielsen81@gmail.com>
Kjartan Maraas <kmaraas@gnome.org>
Kris Thomsen <lakristho@gmail.com>
Marc-André Lureau <marcandre.lureau@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Mattias Põldaru <mahfiaz@gmail.com>
Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Nilamdyuti Goswami <nilamdyuti@gmail.com>
Pau Iranzo <paugnu@gmail.com>
Peteris Krisjanis <pecisk@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Praveen Illa <mail2ipn@gmail.com>
Priit Laes <plaes@plaes.org>
Seong-ho Cho <darkcircle.0426@gmail.com>
Timo Jyrinki <timo@debian.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.3.91 - March 05, 2012
=======================

Changes since 3.3.90:

- Box creation wizard:
  - Correct architecture comparison so that all medias don't get presented as
    64-bit.
  - Present OS logos. Due to legal reasons, we are currently limited to Debian,
    Fedora, Ubuntu and openSUSE.
  - More reliable way to retreive user's avatar.
  - Fedora express install: Correct commandline to add user to 'wheel' group.
- Instead of presenting a boring empty space on first launch, start the wizard.
- Allow changing of RAM allocation and storage capacity.
- Disable screenshots when machine is deleted.
- Added/updated translations:
  - Belarusian
  - Esperanto
  - French
  - Galician
  - German
  - Lithuanian
  - Polish
  - Serbian
  - Slovenian
  - Spanish
  - Swedish
  - Traditional Chinese (Hong Kong and Taiwan)
  - UK
  - Uyghur
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

- libvirt-glib >= 0.0.6

All bugs fixed in this release:

664774 - allow adjustment of vm settings
670003 - wizard: Present OS logos
670539 - Misc fixes
670573 - wizard: Correct architecture comparison
670994 - Make use of Libvirt.Domain.get_devices()
671253 - Include details about the "explicit permission from trademark owners"
671304 - broker: need translation comment

All contributors to this release:

Cheng-Chia Tseng <pswo10680@gmail.com>
Daniel Korostil <ted.korostiled@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Daniel Nylander <po@danielnylander.se>
Fran Diéguez <fran.dieguez@mabishu.com>
Gheyret Kenji <gheyret@gmail.com>
Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Manu Gupta <manugupt1@gmail.com>
Marc-André Lureau <marcandre.lureau@gmail.com>
Mario Blättermann <mario.blaettermann@gmail.com>
Martin Srebotnjak <miles@filmsi.net>
Matej Urbančič <mateju@svn.gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Мирослав Николић <miroslavnikolic@rocketmail.com>

3.3.90 - Feb 20, 2012
=====================

Changes since 3.3.5.1:

- Box creation wizard:
   - Present bootable medias and user's ISO files on 'Source' page. For
     fetching/tracking user's ISOs, we make use of Tracker.
   - Teach the Wizard to accept 'qemu..://' sources.
   - Move to 'Preparation' once file/media is selected.
   - Display notification against errors during 'prepare' and 'create' steps.
     In case of 'prepare', we go back to previous step since user is very
     likely to be able to fix the issue.
   - Add mnemonic accelerator to 'Continue' button.
- More reliable tracking of installations. Previously, Boxes used to forget
  ongoing installations once user quit the application and that would lead
  to installations looping forever.
- Don't take post-installation steps for saved domains. Saved domains are
  stopped as well so them being stopped doesn't mean that first boot is done
  and its time to perform post install setup.
- Launch new domain in fullscreen, unless express installations is going to be
  performed on it.
- Make user deletion work for saved VMs.
- Leave fullscreen when going back to collection view.
- Fix the white triangle stats graph.
- Ability to disable source by manually editing source file. Useful for
  debugging.
- Added/updated translations:
  - Polish
  - Italian
- Some other functional and non-functional improvements and fixes.

Dependencies changed:

- libvirt-glib >= 0.0.5
- tracker-sparql-0.14 >=0.13.1 (NEW)

All bugs fixed in this release:

666373 - wizard: Present bootable ISO files
668211 - Unreliable post-install/live session setup
668792 - Handle errors better
669513 - Teach the Wizard to accept qemu..:// sources
669771 - Present bootable medias on 'Source' page
670174 - Don't take post-installation steps for saved domains
670239 - installer: Launch new domains in fullscreen
670256 - wizard: Add mnemonic accelerator to 'Continue' button
670359 - Fix the white triangle stats graph
670360 - Add enabled source field
670361 - Leave fullscreen when in collection view state
670362 - Delete libvirt machine even if its saved

All contributors to this release:

Luca Ferretti <lferrett@gnome.org>
Marc-André Lureau <marcandre.lureau@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.3.5.1 - Feb 8, 2012
=====================

Changes since 3.3.5:

- Distribute C files generated against last libvirt-glib release (0.0.4),
  rather than git master.
- A micro non-functional improvement.

All contributors to this release:

Christophe Fergeau <cfergeau@redhat.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.3.5 - Feb 7, 2012
===================

Changes since 3.3.4.1:

- Fix startup against latest gtk+.
- Make sure VM image dir exists. This got broken when we started using
  XDG_CONFIG_DIR as VM image directory.
- Don't choke on unknown installer media.
- Fix build against git master of libvirt-glib.
- Confine file chooser dialog in creation wizard to local filesystem.
- Be slightly helpful to users when they are typing URL manually in creation
  wizard.
- Fix recent regression in non-express installations.
- Express install:
  - Support 32-bit Windows 7.
  - Add user to 'wheel' group in Fedora, rather than editing the sudoers file.
- Disable screenshots on machine deletion.
- Choose resources according to media architecture.
- Don't use gettext since we're using intltool.
- Mark comments string in About dialog as translatable and add
  translation credits.
- Added/updated translations:
  - Polish
- Many other functional and non-functional improvements and fixes.

All bugs fixed in this release:

668162 - boxes pick 64 bit configuration from osinfo on 32 bit OSes
668230 - express,fedora: Add user to 'wheel' group
668536 - Hangs at Analyzing installer media: "storage pool is not active"
668653 - Need a follow-up release to boxes 3.3.4
669409 - Several improvements during FOSDEM

All contributors to this release:

Christophe Fergeau <cfergeau@redhat.com>
Frédéric Péters <fpeters@0d.be>
Jeremy Bicha <jbicha@ubuntu.com>
Marc-André Lureau <marcandre.lureau@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Sebastian Keller <sebastien-keller@gmx.de>
Stefano Facchini <stefano.facchini@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.3.4.1 - Jan 25, 2012
======================

Minor release to fix infinite loop on startup with latest gtk+ 3.3.x
release.

Changes since 3.3.4:

- Fix bug preventing Boxes to start when using latest gtk+
- Minor build system fixes

All bugs fixed in this release:

668104 - Vala packages should be checked only when building from git
668584 - Boxes doesn't work with latest gtk+ because of set_app_menu

All contributors to this release:

Christophe Fergeau <cfergeau@redhat.com>
Sebastian Keller <sebastien-keller@gmx.de>
Stefano Facchini <stefano.facchini@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.3.4 - Jan 16, 2012
====================

Changes since 3.3.3:

- Add GtkApplication and gnome-shell menu.
- Add 'about' dialog.
- Hide titlebar when maximized.
- Use overlay toolbar only in fullscreen mode.
- Fix auto-hidden topbar not being shown again.
- Save default libvirt connection machines on quit.
- Delete storage volume along with its VM.
- Box creation wizard:
  - Don't accept empty URL.
  - Add a sound card device.
  - Add devices based on what is supported by the OS.
  - Put VM images in XDG_DATA_DIR, not XDG_CONFIG_DIR.
  - Express install:
    - Fix a race-condition by adding a missing 'yield' keyword.
    - Disable first boot menu for Fedora.
    - Single password setup: User now need to only authenticate once when to
      selecting the box using the password provided at box creation time and not
      inside the guest.
    - Use floppy image for only Windows OSs. According to Lucas Rodrigues
      <lmr@redhat.com>, floppy support on Linux isn't reliable enough.
- Use ngettext where appropriate.
- Added/updated translations:
  - Polish
  - Finnish
- Various other functional and non-functional improvements and fixes.

Dependencies changed:

- gudev >= 147 (Reduced)
- libvirt-gconfig >= 0.0.4
- gtk+-3.0 >= 3.3.5
- libosinfo >=0.0.5

All bugs fixed in this release:

665812  - VM images should not be in ~/.config
666354  - Use overlay toolbar only in fullscreen mode
666355  - app: Request to hide titlebar when maximized
666366  - Suspend to disk on quit for (local) session VMs
666368  - Single-password setup
666369  - Delete associated storage when deleting a local VM
666599  - No sound in VM started by boxes
666739  - Add devices based on what is supported by the OS
666956  - Use floppy image for only Windows express install
667140  - Refactor IProperties interface a bit
667362  - Fix auto-hide topbar not being shown
667363  - wizard: don't accept empty string
667435  - add shell menu
667660  - Reduce gudev dependency to 147
667785  - Don't try to delete transient domains
667859  - check default connection is there before crashing badly

All contributors to this release:

Christophe Fergeau <cfergeau@redhat.com>
Florian Müllner <fmuellner@gnome.org>
Lucas Meneghel Rodrigues <lmr@redhat.com>
Marc-André Lureau <marcandre.lureau@gmail.com>
Marko Myllynen <marko.myllynen@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.3.3 - Dec 19, 2011
====================

Changes since 3.3.2:

- Instead of manually writing the libvirt's XML strings, we now make use of
  libvirt-gconfig to deal with the XML for us.
- Protect user from accidental deletion of boxes by providing an 'undo' button
  until after 6 seconds of deletion.
- Rely on libvirt for automatic assignment of unique SPICE port for new VMs.
- Don't destroy boxes on reboot.
- Also entertain medias of i686 architecture.
- Define a log domain for easier filtering of console log.
- Adapt to libosinfo 0.0.3 API for better OS media detection.
- Make the VM thumbnail in the properties view insensitive.
- Box creation wizard:
  - Make wizard topbar a real toolbar. This way, the window can be moved, and it
    can be styled correctly.
  - Only return from wizard to collection view if box creation succeeds.
  - Skip directly to 'Preparation' step when URI is passed through commandline
    argument.
  - Bump default storage allocation to 20 GiB.
    - This should be adequate storage for most OSs out there.
    - We use the dynamically growing storage format (qcow2) so actual
      amount of disk space used is completely dependent on the OS.
  - Special handling of live and unknown OS media:
    - Create initially transient box and only make it permanent if media
      installs anything on the storage.
    - Skip 'Setup' and 'Review' pages.
  - Only boot new VMs from hard drive after something is actually installed on
    the storage.
  - Accept path for URI as well.
  - More details at summary page on VM creation.
  - Express installation:
    - Actually update the settings after the first install of an OS.
    - UI to set admin and user password.
    - UI for specifying product key for Windows XP and 2003. Note that product
      keys are not required by recent Windows (Vista, 7  and 2008) installers.
    - Install QXL on Fedora guests to take full advantage of SPICE's efficiency.
    - Enable X/graphics for Fedora.
    - Add user to admin group for Fedora.
    - Automatically timezone and keyboard layout setup. This currently only
      works for Fedora.
    - Automatically language setup. Currently it only works for Windows 7,
      Windows 2008 and Fedora.
    - Fix user account setup for Windows 7 and 2008.
    - Fix some fundamental issues with Windows 2008. Now at least most of
      installation is automated.
    - Fix express installation floppy image and in turn express installation of
      Microsoft Windows XP.
- Added/updated translations
  - Polish
  - Swedish
- Various other functional and non-functional improvements and fixes.

Dependencies changed:

- libvirt-glib >= 0.0.3
- libvirt-gconfig >= 0.0.3
- spice-gtk >= 0.7.81
- libosinfo >=0.0.3

All bugs fixed in this release:

664214 - Installation from Live media is broken
664215 - Make the VM thumbnail in the properties view insensitive
664527 - Require latest gtk+ and libvirt-glib
664528 - gnome-boxes doesn't respond to mouse events
664561 - Unable to delete inactive libvirt boxes
664578 - Make wizard topbar a real toolbar
664594 - Use libvirt spice autoport
664600 - Also entertain medias of i686 arch
664603 - wizard: only return to collection view when creation succeed
664676 - qemu-kvm gets started with -no-reboot
664690 - wizard: Skip to 'Preparation' when URI is passed
664759 - default hdd image size too small
664766 - Correctly handle pure live media
664773 - Upgrade autotools config
665001 - Windows XP express installation is broken
665068 - Show more information in summary
665198 - Fix removal of libvirt machines
665254 - New way to handle live and unknown media
665290 - Express install settings ineffective after first install
665320 - Enable X/graphics for Fedora express installation
665333 - Install vdagent & QXL on Fedora guests
665336 - Only use 'vga' driver for win7
665444 - Update glib-2.0 VAPI and usage
665803 - Various express installation fixes/improvements
666019 - Improvements to Windows Server 2008 express install
666030 - UI for specifying product key for Windows XP & 2003
666032 - Use Gtk.Notebook for password input
666086 - Read & fill 1 line of unattended files at time
666315 - Start making use of libvirt-gconfig
666324 - Don't react to domain deletion event trigered by us
666334 - Be more friendly to user on deletion of boxes
664760 - Passing a file path (not uri) to installation media makes wizard behave
         oddly

All contributors to this release:

Christophe Fergeau <cfergeau@redhat.com>
Daniel Nylander <po@danielnylander.se>
Javier Jardón <jjardon@gnome.org>
Lucas Meneghel Rodrigues <lmr@redhat.com>
Marc-André Lureau <marcandre.lureau@gmail.com>
Olav Vitters <olav@vitters.nl>
Piotr Drąg <piotrdrag@gmail.com>
Tom Goralczyk <maido.in.heaven@gmail.com>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

3.3.2 - Nov 22, 2011
====================

First public release.

